<%@ Page language="c#" Codebehind="DonationEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.DonationEdit" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>DonationEdit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="DonationEdit" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">
				<H3 align="center">Add|Edit Donations</H3>
			</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True"></asp:label><asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green"></asp:label><asp:validationsummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:validationsummary></P>
			<P align="center">
				<TABLE id="Table2" style="BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BORDER-BOTTOM-STYLE: none" cellSpacing="0" cellPadding="3" align="center" border="0">
					<TR>
						<TD style="HEIGHT: 24px" bgColor="#6699ff" colSpan="4">
							<H4 align="center">Donor</H4>
						</TD>
					</TR>
					<TR>
						<TD style="HEIGHT: 30px" bgColor="#cccccc" colSpan="4">
							<P align="left"><FONT color="red">(*) fields are required!</FONT>
							</P>
						</TD>
					</TR>
					<TR>
						<TD style="HEIGHT: 24px" bgColor="#cccccc" colSpan="4">
							<P align="center"><FONT color="red">*</FONT>Donor Type:
								<asp:dropdownlist id="DonorTypeList" runat="server" AutoPostBack="True"></asp:dropdownlist><asp:label id="DonorTypeLabel" runat="server" Visible="False">DonorType</asp:label></P>
						</TD>
					</TR>
					<TR>
						<TD style="HEIGHT: 126px" bgColor="#cccccc" colSpan="4">
							<P align="center"><asp:panel id="IndividualPanel" runat="server" Height="112px" Width="751px">
									<TABLE id="Table1" style="WIDTH: 746px; HEIGHT: 104px" cellSpacing="0" cellPadding="3" width="746" border="0">
										<TR>
											<TD>
												<P align="right">Prefix (Mr., Mrs., etc.):</P>
											</TD>
											<TD>
												<asp:textbox id="NamePrefixText" accessKey="R" runat="server" Width="200px" MaxLength="10" ToolTip="Enter the donors name prefix. Up to 10 characters are allowed."></asp:textbox></TD>
											<TD>
												<P align="right"><FONT color="red">&nbsp;*</FONT> Last Name<STRONG>:</STRONG></P>
											</TD>
											<TD>
												<asp:textbox id="LastNameText" runat="server" Width="205px" MaxLength="30" ToolTip="Enter the donors last name. Up to 30 characters are allowed."></asp:textbox></TD>
										</TR>
										<TR>
											<TD>
												<P align="right">First Name:</P>
											</TD>
											<TD>
												<asp:textbox id="FirstNameText" runat="server" Width="200px" MaxLength="30" ToolTip="Enter the donors first name. Up to 30 characters are allowed."></asp:textbox></TD>
											<TD>
												<P align="right">Middle Name or Initials:</P>
											</TD>
											<TD>
												<asp:textbox id="MiddleNameText" runat="server" Width="205px" MaxLength="20" ToolTip="Enter the donors middle name or initial. Up to 30 characters are allowed."></asp:textbox></TD>
										</TR>
										<TR>
											<TD>
												<P align="right">Suffix (Jr., Sr., etc.):</P>
											</TD>
											<TD>
												<asp:textbox id="SuffixText" runat="server" Width="200px" MaxLength="10" ToolTip="Enter the donors name suffix. Up to 10 characters are allowed."></asp:textbox></TD>
											<TD></TD>
											<TD></TD>
										</TR>
									</TABLE>
								</asp:panel></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px; HEIGHT: 21px" bgColor="#cccccc"><P align="right"><asp:label id="StarOrgGrpLabel" runat="server" ForeColor="Red" Visible="False">*</asp:label><asp:label id="OrganizationLabel" runat="server" Visible="False">Organization: </asp:label></P>
						</TD>
						<TD style="WIDTH: 225px; HEIGHT: 21px" bgColor="#cccccc"><asp:dropdownlist id="OrganizationList" runat="server" Visible="False" Width="225px"></asp:dropdownlist>
							<asp:textbox id="AffiliationText" runat="server" Visible="False" Width="225px" ToolTip="Enter the donors affiliation. Up to 50 characters are allowed." MaxLength="50"></asp:textbox></TD>
						<TD style="WIDTH: 165px; HEIGHT: 21px" bgColor="#cccccc"><P align="right">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								<asp:label id="LocalBranchLabel" runat="server" Visible="False">Local Branch:</asp:label>&nbsp;
							</P>
						</TD>
						<TD style="HEIGHT: 21px" bgColor="#cccccc"><asp:textbox id="PUCText" runat="server" Width="205px" ToolTip="Formerly known as the 'Post/Unit/Chapter' field. This is the field that the different types of local area branches of a National Organization can be entered for a donation. Up to 25 characters are allowed." MaxLength="25" Visible="False"></asp:textbox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px; HEIGHT: 33px" bgColor="#cccccc"><P align="right">Street 
								Address #<U>1</U>:</P>
						</TD>
						<TD style="WIDTH: 225px; HEIGHT: 33px" bgColor="#cccccc"><asp:textbox id="Address1Text" accessKey="1" runat="server" Width="225px" ToolTip="Enter the donors mailing address. Up to 35 characters are allowed." MaxLength="35"></asp:textbox></TD>
						<TD style="WIDTH: 165px; HEIGHT: 33px" bgColor="#cccccc"><P align="right">&nbsp;&nbsp;Street 
								Address #2:</P>
						</TD>
						<TD style="HEIGHT: 33px" bgColor="#cccccc"><asp:textbox id="Address2Text" runat="server" Width="205px" ToolTip="Enter the second line of the donors mailing address, if you are using a two-line street address. Up to 35 characters are allowed. " MaxLength="35"></asp:textbox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" bgColor="#cccccc">
							<P align="right">City:</P>
						</TD>
						<TD style="WIDTH: 225px" bgColor="#cccccc"><asp:textbox id="CityText" accessKey="C" runat="server" Width="225px" ToolTip="Enter the name of city in which the donor resides. Up to 30 characters are allowed." MaxLength="30"></asp:textbox></TD>
						<TD style="WIDTH: 165px" bgColor="#cccccc">
							<P align="right">State:</P>
						</TD>
						<TD bgColor="#cccccc"><asp:dropdownlist id="StateList" accessKey="S" runat="server" Width="50px"></asp:dropdownlist>&nbsp;Zip 
							Code:<asp:textbox id="ZipText" accessKey="Z" runat="server" Width="83px" ToolTip="Enter the zip code in which the donor resides in either a 5-digit format or a 9-digit format including the hyphen. For example, 94612 or 94612-2221. " MaxLength="10"></asp:textbox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" bgColor="#cccccc">
							<P align="right">&nbsp;</P>
						</TD>
						<TD style="WIDTH: 225px" bgColor="#cccccc"></TD>
						<TD style="WIDTH: 165px" bgColor="#cccccc"></TD>
						<TD bgColor="#cccccc"></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" bgColor="#cccccc"></TD>
						<TD style="WIDTH: 225px" bgColor="#cccccc"></TD>
						<TD style="WIDTH: 165px" bgColor="#cccccc"></TD>
						<TD bgColor="#cccccc"></TD>
					</TR>
					<TR>
						<TD bgColor="#6699ff" colSpan="4">
							<H4 align="center">Donation</H4>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px; HEIGHT: 27px" bgColor="#cccccc"><P align="right"><FONT color="red">*</FONT>Donation 
								Date:
							</P>
						</TD>
						<TD style="WIDTH: 225px; HEIGHT: 27px" bgColor="#cccccc"><VHAVTK:VTKCOMPOSITEDATE id="DonationDate" runat="server"></VHAVTK:VTKCOMPOSITEDATE></TD>
						<TD style="WIDTH: 165px; HEIGHT: 27px" bgColor="#cccccc"><P align="right"><FONT color="red">*</FONT>Donation 
								Type:</P>
						</TD>
						<TD style="HEIGHT: 27px" bgColor="#cccccc"><asp:dropdownlist id="DonationTypeList" runat="server" AutoPostBack="True" Width="177px"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" bgColor="#cccccc">
							<P align="right"><asp:label id="StarCheckNumberLabel" runat="server" ForeColor="Red" Visible="False">* </asp:label><asp:label id="CheckLabel" runat="server" Visible="False">Check Number: </asp:label></P>
						</TD>
						<TD style="WIDTH: 225px" bgColor="#cccccc"><asp:textbox id="CheckNumberText" runat="server" Visible="False" Width="175px" ToolTip="The number on the check submitted for donation. Up to 12 characters are allowed. " MaxLength="12"></asp:textbox></TD>
						<TD style="WIDTH: 165px" bgColor="#cccccc">
							<P align="right"><asp:label id="CheckDateLabel" runat="server" Visible="False">Check Date: </asp:label></P>
						</TD>
						<TD bgColor="#cccccc"><VHAVTK:VTKCOMPOSITEDATE id="CheckDate" runat="server" Visible="False"></VHAVTK:VTKCOMPOSITEDATE></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px; HEIGHT: 27px" bgColor="#cccccc"><P align="right">&nbsp;</P>
						</TD>
						<TD style="WIDTH: 225px; HEIGHT: 27px" bgColor="#cccccc"><P align="right">&nbsp;</P>
						</TD>
						<TD style="WIDTH: 165px; HEIGHT: 27px" bgColor="#cccccc"><P align="right">Total Value:</P>
						</TD>
						<TD style="HEIGHT: 27px" bgColor="#cccccc"><asp:label id="ValueLabel" runat="server" Width="161px">0</asp:label></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" align="right" bgColor="#cccccc">
							<P><FONT color="red">*</FONT>General Post Fund:</P>
						</TD>
						<TD style="WIDTH: 405px" bgColor="#cccccc" colSpan="3">
							<P align="left">
								<asp:datagrid id="GPFGrid" runat="server" Width="350px" ToolTip="Change the value and click Update button to show the changes in the list. Use Delete button to remove the GPF entry. The changes in GPF will only be saved when you Post the donation." AutoGenerateColumns="False">
									<EditItemStyle ForeColor="White" BackColor="MediumBlue"></EditItemStyle>
									<HeaderStyle BackColor="#00C0C0"></HeaderStyle>
									<Columns>
										<asp:BoundColumn Visible="False" DataField="DonationSummaryFK" HeaderText="DonationSummaryFK"></asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="GeneralPostFundFK" HeaderText="GeneralPostFundFK"></asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="GeneralPostFund" HeaderText="GeneralPostFund1"></asp:BoundColumn>
										<asp:ButtonColumn Text="Delete" ButtonType="PushButton" CommandName="Delete"></asp:ButtonColumn>
										<asp:TemplateColumn HeaderText="Status">
											<ItemTemplate>
												<asp:Label id=StarLabel runat="server" Font-Bold="True" ForeColor="Red" Width="5px" Text='<%# DataBinder.Eval(Container.DataItem, "Status") %>'>
												</asp:Label>
											</ItemTemplate>
										</asp:TemplateColumn>
										<asp:TemplateColumn HeaderText="General Post Fund">
											<ItemTemplate>
												<asp:dropdownlist id=GPFList Width="140px" Enabled="True" DataValueField="ID" DataTextField="GeneralPostFund" DataSource="<%# GetDonationGPF() %>" DataMember="GetQuickListGPFsBy_StationId" Runat="server">
												</asp:dropdownlist>
											</ItemTemplate>
										</asp:TemplateColumn>
										<asp:TemplateColumn HeaderText="Amount">
											<ItemTemplate>
												<asp:TextBox id=DonationValueText Width="85" Enabled="True" Text='<%# DataBinder.Eval(Container.DataItem, "DonationValue") %>' Runat="server" Wrap="False">
												</asp:TextBox>
											</ItemTemplate>
										</asp:TemplateColumn>
										<asp:EditCommandColumn ButtonType="PushButton" UpdateText="Update" CancelText="Cancel" EditText="Split Donation"></asp:EditCommandColumn>
									</Columns>
								</asp:datagrid></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" bgColor="#cccccc">
							<P align="right"><asp:label id="FSRLabel" runat="server">Field Service Receipt: </asp:label></P>
						</TD>
						<TD style="WIDTH: 225px" bgColor="#cccccc"><asp:textbox id="FSRText" runat="server" Width="232px" ToolTip="Enter the FSR number once the donation is submitted to Fiscal Service(Accounting) Up to 12 characters are allowed. " MaxLength="12"></asp:textbox></TD>
						<TD style="WIDTH: 165px" align="right" bgColor="#cccccc">Reference:</TD>
						<TD bgColor="#cccccc"><asp:dropdownlist id="ReferenceList" runat="server" AutoPostBack="True" Width="177px"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" bgColor="#cccccc">
							<P align="right">Remarks:</P>
						</TD>
						<TD bgColor="#cccccc" colSpan="3">
							<P align="left"><asp:textbox id="DescriptionText" runat="server" Height="107px" Width="578px" ToolTip="Enter a description for this donation. Up to 250 characters are allowed." MaxLength="250" TextMode="MultiLine"></asp:textbox></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" bgColor="#cccccc">
							<P align="right">Designation:&nbsp;</P>
						</TD>
						<TD style="WIDTH: 225px" bgColor="#cccccc"><asp:textbox id="DesignationText" runat="server" Width="232px" ToolTip="To what or where the donation went or was applied. Up to 50 characters are allowed." MaxLength="50"></asp:textbox></TD>
						<TD style="WIDTH: 165px" bgColor="#cccccc">
							<P align="right">Acknowledgement Date:</P>
						</TD>
						<TD bgColor="#cccccc"><VHAVTK:VTKCOMPOSITEDATE id="AcknowledgementDate" runat="server"></VHAVTK:VTKCOMPOSITEDATE></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" bgColor="#cccccc">
							<P align="right">Salutation:&nbsp;</P>
						</TD>
						<TD style="WIDTH: 225px" bgColor="#cccccc"><asp:textbox id="SalutationText" runat="server" Width="232px" ToolTip="Enter the type of greeting to be used in a thank you letter(e.g. The Most Reverend, Your Highness, etc) Up to 50 characters are allowed." MaxLength="50"></asp:textbox></TD>
						<TD style="WIDTH: 165px" bgColor="#cccccc">
							<P align="right">&nbsp;</P>
						</TD>
						<TD bgColor="#cccccc"></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" bgColor="#cccccc">
							<P align="right">
								<asp:label id="InMemLabel" runat="server">In Memory Of:</asp:label>&nbsp;</P>
						</TD>
						<TD style="WIDTH: 225px" bgColor="#cccccc">
							<asp:textbox id="InMemoryText" runat="server" Width="232px" ToolTip="Up to 50 characters are allowed." MaxLength="50"></asp:textbox></TD>
						<TD style="WIDTH: 165px" align="right" bgColor="#cccccc">
							<P align="right">Family Contact:</P>
						</TD>
						<TD bgColor="#cccccc">
							<asp:textbox id="FamilyContactText" runat="server" Width="172px" ToolTip="Enter the name of the family Contact person here." MaxLength="50"></asp:textbox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px" align="right" bgColor="#cccccc">&nbsp;&nbsp; CC 
							Fields:&nbsp;</TD>
						<TD bgColor="#cccccc" colSpan="3"><asp:textbox id="CCField1" runat="server" Width="106px" ToolTip="Enter the CC Field 1 to be printed on the letter." MaxLength="50"></asp:textbox>&nbsp;
							<asp:textbox id="CCField2" runat="server" Width="106px" ToolTip="Enter the CC Field 2 to be printed on the letter." MaxLength="50"></asp:textbox>&nbsp;
							<asp:textbox id="CCField3" runat="server" Width="106px" ToolTip="Enter the CC Field 3 to be printed on the letter." MaxLength="50"></asp:textbox>&nbsp;&nbsp;
							<asp:textbox id="CCField4" runat="server" Width="106px" ToolTip="Enter the CC Field 4 to be printed on the letter." MaxLength="50"></asp:textbox>&nbsp;
							<asp:textbox id="CCField5" runat="server" Width="106px" ToolTip="Enter the CC Field 5 to be printed on the letter." MaxLength="50"></asp:textbox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 137px; HEIGHT: 30px" align="right" bgColor="#cccccc"></TD>
						<TD style="WIDTH: 225px; HEIGHT: 30px" bgColor="#cccccc"></TD>
						<TD style="WIDTH: 165px; HEIGHT: 30px" bgColor="#cccccc"></TD>
						<TD style="HEIGHT: 30px" bgColor="#cccccc"></TD>
					</TR>
					<TR>
						<TD bgColor="white" colSpan="4">
							<P align="center"><asp:button id="PostButton" runat="server" ToolTip="Saves the new or updated record." Enabled="False" Text="Post"></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;
								<INPUT id="ExitButton" title="Exits the current screen and returns to the Add|Edit Donation screen." accessKey="X" onclick="window.location.href='/vtk/FileMaintenance/DonorChooser.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton">&nbsp;&nbsp;&nbsp;
								<asp:button id="DeleteButton" runat="server" ToolTip="Delete the selected Contact Information record." Enabled="False" Text="Delete"></asp:button>&nbsp;&nbsp;&nbsp;
								<asp:button id="PrintButton" runat="server" Enabled="False" Text="Print"></asp:button></P>
						</TD>
					</TR>
					<TR>
						<TD align="middle" bgColor="#ffffff" colSpan="4"></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
