<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="UserManagement.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.UserManagement" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>UserManagement</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<FORM id="NationalUserManagement" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">User Management</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Size="Larger" EnableViewState="False" ForeColor="Red" Font-Bold="True"></asp:label><asp:label id="ConfirmationMessage" runat="server" Font-Size="Larger" EnableViewState="False" ForeColor="Green"></asp:label></P>
			<P align="center">
				<TABLE id="Table1" cellSpacing="0" cellPadding="3" align="center" bgColor="#c0c0c0" border="0">
					<TR>
						<TD bgColor="#ffffff">
							<P align="right">Edit an Existing User:</P>
						</TD>
						<TD bgColor="#ffffff"><asp:dropdownlist id="UserList" accessKey="U" runat="server" AutoPostBack="True"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD bgColor="#ffffff"></TD>
						<TD bgColor="#ffffff"></TD>
					</TR>
					<TR>
						<TD>
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
						<TD></TD>
					</TR>
					<TR>
						<TD>
							<P align="right">Record Id:</P>
						</TD>
						<TD><asp:label id="RecordLabel" runat="server">Label</asp:label></TD>
					</TR>
					<TR>
						<TD>
							<P align="right"><FONT color="red">*</FONT><U>L</U>ast Name:
							</P>
						</TD>
						<TD><asp:textbox id="LastNameText" accessKey="L" runat="server" ToolTip="Enter the users last name. Up to 30 characters are allowed." MaxLength="30" Width="220px"></asp:textbox><asp:label id="LastNameLabel" runat="server"></asp:label></TD>
					</TR>
					<TR>
						<TD>
							<P align="right"><FONT color="red">*</FONT><U>F</U>irst Name:
							</P>
						</TD>
						<TD><asp:textbox id="FirstNameText" accessKey="F" runat="server" MaxLength="30" Width="220px" ToolTip="Enter the users first name. Up to 30 characters are allowed."></asp:textbox><asp:label id="FirstNameLabel" runat="server"></asp:label></TD>
					</TR>
					<TR>
						<TD>
							<P align="right"><U>M</U>iddle Name or Initials
							</P>
						</TD>
						<TD><asp:textbox id="MiddleNameText" accessKey="M" runat="server" ToolTip="Enter the users middle name or initial. Up to 20 characters are allowed." MaxLength="20" Width="220px"></asp:textbox><asp:label id="MiddleNameLabel" runat="server"></asp:label></TD>
					</TR>
					<TR>
						<TD style="HEIGHT: 20px">
							<P align="right"><FONT color="red">*</FONT>Domain\<U>N</U>T User Name:
							</P>
						</TD>
						<TD style="HEIGHT: 20px"><asp:textbox id="NTUserNameText" accessKey="N" runat="server" MaxLength="40" Width="220px" ToolTip="Enter the users Domain and NT User Name, seperate by '\'. Up to 40 characters are allowed. For example, domain\domain.extESTU."></asp:textbox><asp:label id="NTUserNameLabel" runat="server"></asp:label></TD>
					</TR>
					<TR>
						<TD>
							<P align="right"><U>E</U>-Mail Address:
							</P>
						</TD>
						<TD><asp:textbox id="EMailText" accessKey="E" runat="server" MaxLength="50" Width="220px" ToolTip="Enter the user's e-mail address. Up to 50 characters are allowed."></asp:textbox><asp:label id="EMailLabel" runat="server"></asp:label></TD>
					</TR>
					<TR>
						<TD>
							<P align="right"><FONT color="red">*</FONT>Primary <U>S</U>tation:
							</P>
						</TD>
						<TD><asp:dropdownlist id="StationList" accessKey="S" runat="server"></asp:dropdownlist><asp:label id="PrimaryStationLabel" runat="server">Label</asp:label></TD>
					</TR>
					<TR>
						<TD style="HEIGHT: 21px" colSpan="2">
							<P align="center"><FONT color="black">(Change Primary Station field only if user has 
									moved to a new station)</FONT>
							</P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="silver" colSpan="2">
							<P>
								<HR style="WIDTH: 100%" width="251.57%" SIZE="2">
							<P></P>
							<H4 align="center">Roles for
								<asp:label id="StationLabel" runat="server">Station</asp:label></H4>
							<P align="center">&nbsp;
								<TABLE id="Table2" cellSpacing="1" cellPadding="1" width="300" border="0">
									<TR>
										<TD>
											<H5 align="center">Roles</H5>
											<P align="center"><asp:listbox id="RoleList" runat="server" Width="175px" Rows="6"></asp:listbox></P>
										</TD>
										<TD>
											<P align="center"><asp:button id="AddRolesButton" runat="server" Text="> >" ToolTip="Adds a Role for this user."></asp:button></P>
											<P align="center"><asp:button id="RemoveRolesButton" runat="server" Text="< <" ToolTip="Removes a Role from this user."></asp:button></P>
										</TD>
										<TD>
											<H5 align="center">Current Roles</H5>
											<P align="center"><asp:ListBox id="CurrentRoleList" runat="server" Width="175px" Rows="6"></asp:ListBox></P>
										</TD>
									</TR>
								</TABLE>
							</P>
							<P align="center">&nbsp;&nbsp;</P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#ffffff" colSpan="2">
							<P align="center"><asp:button id="PostButton" accessKey="P" runat="server" Text="Post" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;&nbsp;
								<asp:button id="DeleteButton" accessKey="L" runat="server" Text="Delete" Enabled="False" ToolTip="Deletes the selected record."></asp:button>&nbsp;&nbsp;
								<asp:button id="NewButton" accessKey="N" runat="server" ToolTip="Clears all fields so a new user can be added." Text="Clear"></asp:button>&nbsp;&nbsp;
								<INPUT id="ExitButton" accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" size="1" value="Exit" name="ExitButton" title="Exits the current screen and displays the initial VSS screen."></P>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center"><asp:datagrid id="RolesDataGrid" accessKey="S" runat="server" AutoGenerateColumns="False" Visible="False" ShowHeader="False">
					<HeaderStyle BackColor="#6699FF"></HeaderStyle>
					<Columns>
						<asp:BoundColumn DataField="UserRoleId"></asp:BoundColumn>
						<asp:BoundColumn DataField="RoleId"></asp:BoundColumn>
						<asp:BoundColumn DataField="RoleName">
							<ItemStyle BackColor="White"></ItemStyle>
						</asp:BoundColumn>
					</Columns>
				</asp:datagrid><uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</FORM>
	</body>
</HTML>
