<%@ Register TagPrefix="uc1" TagName="VolunteerChooserControl" Src="../Volunteer/VolunteerChooserControl.ascx" %>
<%@ Page language="c#" Codebehind="GamesRegistration.aspx.cs" AutoEventWireup="false" Inherits="VTK.Games.GamesRegistration" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>GamesRegistration</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
		<SCRIPT language="JavaScript">
  function EnableRideStation()
  {
	var RideStationState = GamesRegistration.txtRideStation;
	if(RideStationState.disabled == true)
	{
		RideStationState.disabled = false;
		RideStationState.style.backgroundColor = "white";
	}
	else
	{
		RideStationState.disabled = true;
		RideStationState.style.backgroundColor = "lightgrey";
	}
  }
		</SCRIPT>
	</HEAD>
	<body id="GamesBody">
		<form id="GamesRegistration" method="post" runat="server">
			<VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER>
			<!-- Begin Registration Page -->
			<H3 align="center">Games Registration</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False" Font-Size="Larger"></asp:label><asp:label id="ConfirmationMessage" runat="server" ForeColor="Green" EnableViewState="False" Font-Size="Larger"></asp:label></P>
			<P><asp:panel id="GamesListPanel" runat="server">
					<asp:DataGrid id="GamesList" runat="server" Font-Bold="True" HorizontalAlign="Center" AutoGenerateColumns="False" Width="591px">
						<HeaderStyle Font-Size="Smaller" Font-Names="Verdana" Font-Bold="True" ForeColor="White" VerticalAlign="Middle" BackColor="Navy"></HeaderStyle>
						<Columns>
							<asp:BoundColumn Visible="False" DataField="HostInstitutionId" HeaderText="Host Station"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="GameTypeId" HeaderText="Game Type"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="ID"></asp:BoundColumn>
							<asp:BoundColumn DataField="HostInstitutionName" HeaderText="Host Institution"></asp:BoundColumn>
							<asp:BoundColumn DataField="GameTypeName" HeaderText="Game Type"></asp:BoundColumn>
							<asp:BoundColumn DataField="StartDate" HeaderText="Start Date" DataFormatString="{0:d}"></asp:BoundColumn>
							<asp:BoundColumn DataField="EndDate" HeaderText="End Date" DataFormatString="{0:d}"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="GameCode" HeaderText="GameCode"></asp:BoundColumn>
							<asp:EditCommandColumn ButtonType="PushButton" UpdateText="" CancelText="" EditText="Select"></asp:EditCommandColumn>
						</Columns>
					</asp:DataGrid>
				</asp:panel><asp:panel id="GameVolunteersPanel" runat="server" HorizontalAlign="Center" Width="742px" Height="251px">
					<H4>Current Registered Volunteers</H4>
					<P>
						<asp:Panel id="SearchPanel" runat="server" Width="585px" Height="43px"></P>
					<P>Search&nbsp;by
						<asp:DropDownList id="SearchOptionList" runat="server">
							<asp:ListItem Value="FullNameForReports">Name</asp:ListItem>
							<asp:ListItem Value="SocialSecurityNumber">SSN</asp:ListItem>
							<asp:ListItem Value="NameOfInstitution">Station</asp:ListItem>
						</asp:DropDownList>&nbsp;for
						<asp:TextBox id="SearchText" runat="server"></asp:TextBox>&nbsp;
						<asp:Button id="SearchButton" runat="server" Text="Search"></asp:Button>&nbsp;&nbsp;
						<asp:Button id="ResetButton" runat="server" Text="Reset"></asp:Button></P>
					<P>
				</asp:panel></P>
			<P>
				<DIV align="center"><asp:datagrid id="GameVolunteersGrid" runat="server" HorizontalAlign="Center" AutoGenerateColumns="False" AllowPaging="True" BorderStyle="Solid" AllowSorting="True" Width="584px">
						<SelectedItemStyle BackColor="Highlight"></SelectedItemStyle>
						<AlternatingItemStyle BackColor="Silver"></AlternatingItemStyle>
						<HeaderStyle Font-Bold="True" Wrap="False" ForeColor="White" VerticalAlign="Middle" BackColor="Navy"></HeaderStyle>
						<Columns>
							<asp:BoundColumn Visible="False" DataField="Id" HeaderText="Id"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="VolunteerId" HeaderText="VolunteerId"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="StationId" HeaderText="VolStationId"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="StationProfileId" HeaderText="VolProfileId"></asp:BoundColumn>
							<asp:EditCommandColumn ButtonType="PushButton" UpdateText="Update" CancelText="" EditText="Edit"></asp:EditCommandColumn>
							<asp:BoundColumn DataField="FullNameForReports" HeaderText="Name"></asp:BoundColumn>
							<asp:BoundColumn DataField="SocialSecurityNumber" HeaderText="SSN"></asp:BoundColumn>
							<asp:BoundColumn DataField="NameOfInstitution" HeaderText="Station"></asp:BoundColumn>
							<asp:ButtonColumn Text="Remove" ButtonType="PushButton" CommandName="Delete"></asp:ButtonColumn>
						</Columns>
						<PagerStyle Visible="False" NextPageText="" Height="2px" PrevPageText="" Position="TopAndBottom"></PagerStyle>
					</asp:datagrid>
					<P><asp:label id="NoVolunteerLabel" runat="server" Font-Bold="True" Visible="False">No Volunteers Registered</asp:label></P>
					<P><asp:panel id="PagerPanel" runat="server" Width="582px" Height="64px">
							<TABLE style="WIDTH: 590px; HEIGHT: 34px" cellSpacing="0" cellPadding="0" border="0">
								<TR>
									<TD>
										<asp:ImageButton id="FIRST" runat="server" CommandArgument="FIRST" ImageUrl="../Images/Paging/NAV_FIRST_67x18.gif"></asp:ImageButton></TD>
									<TD>
										<asp:ImageButton id="Previous" runat="server" CommandArgument="PREV" ImageUrl="../Images/Paging/NAV_PREV_67x18.gif"></asp:ImageButton></TD>
									<TD align="middle"><STRONG>Page</STRONG>&nbsp;
										<asp:TextBox id="CurrentPage" runat="server" Width="22px"></asp:TextBox>&nbsp;<STRONG>of</STRONG>
										<asp:Label id="PageCount" runat="server" Font-Size="X-Small" Font-Bold="True">Count</asp:Label>&nbsp;
										<asp:ImageButton id="GO" runat="server" CommandArgument="GO" ImageUrl="../Images/Paging/NAV_NEXT_67x18.gif"></asp:ImageButton></TD>
									<TD>
										<asp:ImageButton id="Next" runat="server" CommandArgument="NEXT" ImageUrl="../Images/Paging/NAV_NEXT_67x18.gif" ImageAlign="Right"></asp:ImageButton></TD>
									<TD>
										<asp:ImageButton id="LAST" runat="server" CommandArgument="LAST" ImageUrl="../Images/Paging/NAV_LAST_67x18.gif" ImageAlign="Right"></asp:ImageButton></TD>
								</TR>
							</TABLE>
						</asp:panel></P>
				</DIV>
				<asp:button id="NewButton" runat="server" Text="Add" ToolTip="Add a Volunteer to the Registration List."></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<INPUT id="ExitButton" title="Exits the current screen and returns to the Edit Volunteer screen." accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" size="25" value="Exit" name="ExitButton">
			<P></P>
			</asp:panel><asp:panel id="VolunteerChooserPanel" runat="server" HorizontalAlign="Center" Width="209px" Height="262px">
				<TABLE id="Table2" cellSpacing="3" cellPadding="0" border="0">
					<TR>
						<TD bgColor="#6699ff" colSpan="2">
							<P align="center"><STRONG>Select Volunteer</STRONG></P>
							<P align="center"><STRONG>First</STRONG>,&nbsp;enter the Volunteer's last name and 
								social security number.
							</P>
						</TD>
					</TR>
					<TR>
						<TD>
							<P align="right">Last Name:</P>
						</TD>
						<TD>
							<asp:textbox id="NameText" runat="server" Width="218px" tooltip="Add the volunteers last name. Up to 30 characters are allowed." MaxLength="35"></asp:textbox></TD>
					</TR>
					<TR>
						<TD>
							<P align="right">Social Security Number:</P>
						</TD>
						<TD>
							<asp:textbox id="SSNText" runat="server" Width="216px" tooltip="Enter the volunteers Social Security Number. Nine digits are required and the hyphens are optional. For example, 556-47-3007." MaxLength="11"></asp:textbox>
							<asp:regularexpressionvalidator id="SSNValidator2" runat="server" ErrorMessage="!" ControlToValidate="SSNText" ValidationExpression="\d{3}-{0,1}\d{2}-{0,1}\d{4}" CssClass="Validator"></asp:regularexpressionvalidator></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px"></TD>
						<TD>
							<asp:button id="SubmitButton" runat="server" Text="Search for Existing Volunteer" ToolTip="Searches the VSS records to determine whether the volunteers name and SSN already exist within the system. "></asp:button></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px"></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD bgColor="#6699ff" colSpan="2">
							<P align="center"><STRONG>Then</STRONG> , search for an existing volunteer record.
							</P>
						</TD>
					</TR>
					<TR>
						<TD colSpan="2">
							<P align="left">
								<asp:label id="MatchLabel" runat="server" EnableViewState="False" ForeColor="Navy" Font-Bold="True" Visible="False">No volunteers match your criteria.</asp:label></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px" colSpan="2"></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px"></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px">
							<P align="right">
								<asp:listbox id="VolunteerList" runat="server" Rows="12" Enabled="False"></asp:listbox></P>
						</TD>
						<TD>
							<P align="left">
								<asp:button id="ChooseButton" runat="server" Height="24px" Text="Choose" tooltip="Displays the volunteers record after you select the desired volunteer entry from the list." Enabled="False"></asp:button></P>
							<P align="left">&nbsp;</P>
							<P align="left">
								<asp:button id="AddButton" runat="server" EnableViewState="False" Height="24px" Text="Add" ToolTip="Allows you to add a new volunteer record starting with the last name and Social Security Number you entered in the previous screen. " Enabled="False"></asp:button></P>
							<P align="left">&nbsp;</P>
							<P align="left">
								<asp:Button id="CancelButton" runat="server" Width="60px" Height="25px" Text="Cancel" ToolTip="Returns to Current Registered Volunteers screen."></asp:Button></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px"></TD>
						<TD></TD>
					</TR>
				</TABLE>
			</asp:panel><BR>
			<asp:panel id="VolunteerRegistrationPanel" runat="server" HorizontalAlign="Center">
				<P>&nbsp;</P>
				<P></P>
				<P>
					<TABLE id="Table1" style="WIDTH: 531px; HEIGHT: 399px" cellSpacing="1" cellPadding="1" width="531" border="0">
						<TR>
							<TD bgColor="#6699ff" colSpan="2">
								<P align="center"><STRONG>Volunteer Name: </STRONG><STRONG>
										<asp:label id="VolunteerNameLabel" runat="server">Volunteer</asp:label></STRONG></P>
							</TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px"><FONT color="red">(*) fields are required!</FONT></TD>
							<TD></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right">First Time Participant:</P>
							</TD>
							<TD>
								<asp:CheckBox id="FirstTimeCheck" runat="server"></asp:CheckBox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right"><FONT color="red">* </FONT>Shirt Size:</P>
							</TD>
							<TD>
								<asp:DropDownList id="ShirtSizeList" runat="server"></asp:DropDownList></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right"><FONT color="#ff3300">* </FONT>Lodging:</P>
							</TD>
							<TD>
								<asp:TextBox id="LodgingCodeText" runat="server" MaxLength="50"></asp:TextBox>
								<asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" Font-Size="Medium" Font-Bold="True" ErrorMessage="!" ControlToValidate="LodgingCodeText"></asp:RequiredFieldValidator></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right">Ride Needed?:</P>
							</TD>
							<TD>
								<asp:CheckBox id="RideNeedCheck" runat="server" AutoPostBack="True"></asp:CheckBox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right">
									<asp:Label id="RiderLocationAstrix" runat="server" ForeColor="Red" Visible="False">*</asp:Label>&nbsp;
									<asp:Label id="RiderLocationLabel" runat="server" Visible="False">Rider Location:</asp:Label>&nbsp;</P>
							</TD>
							<TD>
								<asp:TextBox id="RiderLocationText" runat="server" Visible="False" MaxLength="4"></asp:TextBox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right">
									<asp:Label id="EmployeeStatusLabel" runat="server" Visible="False">VA Employee Status:</asp:Label></P>
							</TD>
							<TD>
								<asp:DropDownList id="EmployeeStatusList" runat="server" Visible="False"></asp:DropDownList></TD>
						</TR>
						<TR>
							<TD colSpan="2">
								<HR style="HEIGHT: 2px" width="100%" SIZE="2">
								<P align="center"><STRONG>Add/Edit Combination Codes</STRONG>&nbsp;</P>
							</TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right">Combination Code<STRONG>:</STRONG>
								</P>
							</TD>
							<TD>
								<asp:label id="CodeLabel" runat="server"></asp:label></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right"><FONT color="#ff3300">* </FONT>Organization:</P>
							</TD>
							<TD>
								<asp:dropdownlist id="OrganizationList" runat="server"></asp:dropdownlist></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right"><FONT color="#ff3300">* </FONT>Schedule Workday:</P>
							</TD>
							<TD>
								<asp:dropdownlist id="WorkdayList" runat="server"></asp:dropdownlist></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right"><FONT color="#ff3300">* </FONT>Service:</P>
							</TD>
							<TD>
								<asp:dropdownlist id="ServiceList" runat="server"></asp:dropdownlist></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 235px">
								<P align="right">Inactive:</P>
							</TD>
							<TD>
								<asp:checkbox id="InactiveCheckBox" runat="server" Text="Yes" ToolTip="Combination code is inactive"></asp:checkbox></TD>
						</TR>
						<TR>
							<TD bgColor="#ffffff" colSpan="2">
								<P align="center">
									<asp:button id="PostButton" runat="server" Text="Post" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;
									<asp:Button id="FinishButton" runat="server" Width="60px" Height="25px" Text="Done" ToolTip="Returns to Current Registered Volunteers screen."></asp:Button></P>
							</TD>
						</TR>
						<TR>
							<TD bgColor="#ffffff" colSpan="2">
								<P align="center"><STRONG>Combination Codes for this Volunteer:&nbsp;</STRONG></P>
								<P align="center">
									<asp:datagrid id="ComboGrid" runat="server" AutoGenerateColumns="False">
										<Columns>
											<asp:ButtonColumn Text="Edit" ButtonType="PushButton" HeaderText="Edit" CommandName="Edit"></asp:ButtonColumn>
											<asp:BoundColumn Visible="False" DataField="ID" HeaderText="Id"></asp:BoundColumn>
											<asp:BoundColumn DataField="CombinationCode" HeaderText="Code"></asp:BoundColumn>
											<asp:BoundColumn DataField="OrganizationName" HeaderText="Organization"></asp:BoundColumn>
											<asp:BoundColumn DataField="BenefitingServiceName" HeaderText="Service"></asp:BoundColumn>
											<asp:BoundColumn DataField="Inactive" HeaderText="Inactive"></asp:BoundColumn>
										</Columns>
									</asp:datagrid></P>
							</TD>
						</TR>
					</TABLE>
				</P>
				<P>
				<P>&nbsp;</P>
			</asp:panel></form>
		<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
	</body>
</HTML>
