var target, PointerId;
var imgPath = "images/menu/";
var currentlySelected = null;
//Event Handlers

function setMenuSectionContent(e)
{
	if(e.style.display == "none")
	{
		e.style.display = "block";
	}
	else
	{
		e.style.display = "none";
	}
}
function getContentElement(e, keyCode)
{
	switch(e.className)
	{
		case 'NavImage':
		case 'TypeImage':
		case 'MenuSectionTitle':						
			return e.parentElement.nextSibling;
			break;
		case 'MenuSection':	
			var sibling = e.children[1];
			switch(keyCode)
			{
				case 40:	
					return sibling;
					break;
				case 39:
					if(sibling.style.display == 'block')
						return null;
					break;
				case 37:
					if(sibling.style.display == 'none')
						return null;
					break;
			}					
			return sibling;
		default:						
			return e.nextSibling;
	}
}
function setImageSrcs(e, s)
{
	if(e.className == 'NavImage' || e.className == 'MenuItemLink')
	{
		switch(getImageName(e.src))
		{
			case 'plus.gif':
				e.src = imgPath + "minus.gif";
				s.src = imgPath + "folderopen.gif";
				break;
			case 'plusbottom.gif':
				e.src = imgPath + "minusbottom.gif";
				s.src = imgPath + "folderopen.gif";
				break;
			case 'plusonly.gif':
				e.src = imgPath + "minusonly.gif";
				s.src = imgPath + "folderopen.gif";
				break;
			case 'plustop.gif':
				e.src = imgPath + "minustop.gif";
				s.src = imgPath + "folderopen.gif";
				break;
			case 'minus.gif':
				e.src = imgPath + "plus.gif";
				s.src = imgPath + "folderclosed.gif";
				break;
			case 'minusbottom.gif':
				e.src = imgPath + "plusbottom.gif";
				s.src = imgPath + "folderclosed.gif";
				break;
			case 'minusonly.gif':
				e.src = imgPath + "plusonly.gif";
				s.src = imgPath + "folderclosed.gif";
				break;
			case 'minustop.gif':
				e.src = imgPath + "plustop.gif";
				s.src = imgPath + "folderclosed.gif";
				break;
		}
		//SetSelectedImage(s);
	}
	
}

function SetSelectedImage(s)
{
	//Reset the currentlySelected Image if not NULL 
	if(currentlySelected != null)
	{			
		if(s.src.indexOf("msie_doc") != -1 || s.src.indexOf("CrystalReport") != -1)
		{
			if(currentlySelected.src.indexOf("msie_doc_sel") != -1)
			{
				currentlySelected.src = imgPath + "msie_doc.gif";
			}
			else if(currentlySelected.src.indexOf("CrystalReport_sel") != -1)
			{
				currentlySelected.src = imgPath + "CrystalReport.gif";	
			}
		}
	}
	
	//Set the Image to use
	if(s.src.indexOf("msie_doc") != -1)
	{
		s.src = imgPath + "msie_doc_sel.gif";
		currentlySelected = s	
	}
	else if(s.src.indexOf("CrystalReport") != -1)
	{
		s.src = imgPath + "CrystalReport_sel.gif";
		currentlySelected = s
	}	
}

function clickHandler()
{	
	var e = window.event.srcElement;
	var keyCode = window.event.keyCode;
	//alert(window.event.keyCode);
	//Set 40 and 38 later
	if(keyCode == 13 || 
		 keyCode == 0  || 
		 keyCode == 39 || 
		 keyCode == 37)
	{		
		if(e.nodeName == "BODY") return;
		
		//Get the Content Element to hide or display
		if(e.className != 'MenuItem' &&
			 e.className != 'MenuItemLink' && 
				e.className != 'TypeImage')
		{		
			var sibling = getContentElement(e, keyCode);
			if(sibling != null)
				setMenuSectionContent(sibling);
			else
				return false;
		}
		
		/*
		Define the following:
		1. e = NavImage = plus or minus images
		2. s = TypeImage = folder open or closed
		*/
		if(e.className != 'TypeImage')
		{
			var s;
			switch(e.className)
			{
				case 'MenuImages':
					s = e.children[1];
					e = e.firstChild;
					break;
				case 'MenuSectionTitle':
					s = e.parentElement.children[1];
					e = e.parentElement.firstChild;
					break;
				case 'MenuSection':			
					s = e.firstChild.children[1];
					e = e.firstChild.firstChild;
					break;
				case 'NavImage':
					s = e.parentElement.children[1]
					break;
				case 'MenuItemLink':
					e = e.parentElement.firstChild;
					s = e.parentElement.children[1];
					break;
			}
			setImageSrcs(e, s);			
		}		
	}
}

function getImageName(ImageSrc)
{	
	if(ImageSrc.indexOf("/") == -1)
	{	
		return -1;
	}else{
		var eImage = ImageSrc.substring(ImageSrc.lastIndexOf("/") + 1, ImageSrc.length);	
	}
	
	return eImage;		
}
function mouseOverHandler(){
	var e = window.event.srcElement;
	var navImage = e.parentElement.children[1];
	
	if(e.className == 'MenuItemLink')
	{
	  SetStatusBar(e.title);
	  if(navImage.src.indexOf("msie_doc.gif") != -1)
			navImage.src="images/menu/msie_doc_mo.gif";
		else if(navImage.src.indexOf("CrystalReport.gif") != -1)
			navImage.src="images/menu/CrystalReport_mo.gif";
			
		e.style.color = 'Red';
	}
}

function mouseOutHandler()
{
	var e = window.event.srcElement;
	var navImage = e.parentElement.children[1];
	
	if(e.className == 'MenuItemLink')
	{
	  SetStatusBar('');
		e.style.color = 'midnightblue';
		if(navImage.src.indexOf("msie_doc_mo.gif") != -1)
			navImage.src="images/menu/msie_doc.gif";
		else if(navImage.src.indexOf("CrystalReport_mo.gif") != -1)
			navImage.src="images/menu/CrystalReport.gif";
	}
}

function SetStatusBar(text)
{
  parent.window.status = text;
}

document.onclick = clickHandler;
document.onkeydown = clickHandler;
document.onmouseover = mouseOverHandler;
document.onmouseout = mouseOutHandler;
