<%@ Page language="c#" Codebehind="WorkDaysEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.National.WorkDaysEdit" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML 
xmlns:uc1>
  <HEAD>
		<title>Scheduled Workdays</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<form id="WorkDaysEdit" method="post" runat="server">
			<P><VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader>
			</P>
			<P>
				<TABLE cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="left" width="10%">&nbsp;
						</TD>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3>
								National Schedule Codes&nbsp;
							</H3>
						</TD>
						<TD vAlign="top" align="right" width="10%">&nbsp;
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="5">
							<asp:Label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False" Font-Size="Larger"></asp:Label>
							<asp:label id="ConfirmationMessage" runat="server" Font-Bold="True" ForeColor="Green" EnableViewState="False" Font-Size="Larger"></asp:label>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P>
				<TABLE cellSpacing="0" cellPadding="3" align="center" border="0">
					<TR>
						<TD align="middle">
							<P align="right">
								Edit an Existing <U>S</U>chedule:
							</P>
						</TD>
						<TD align="left">
							<asp:dropdownlist id="ScheduleList" runat="server" accessKey="S"></asp:dropdownlist>
							<asp:button id="EditButton" runat="server" Text="Edit" accessKey="I" ToolTip="Allows you to edit an existing Schedule Code record."></asp:button>
						</TD>
					</TR>
					<TR>
						<TD align="middle">
							<P align="right">
								 or&nbsp;Create a New <U>S</U>chedule:
							</P>
						</TD>
						<TD align="left">
							<asp:button id="NewButton" runat="server" Text="New" accessKey="N" ToolTip="Allows you to add a new Schedule Code record."></asp:button>
						</TD>
					</TR>
					<TR>
						<TD align="middle" colSpan="2">
							<HR style="WIDTH: 100%" width="1" SIZE="2">
						</TD>
					</TR>
					<TR>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
						<TD align="middle" bgColor="#c0c0c0"></TD>
					</TR>
  <TR>
    <TD align=middle bgColor=#c0c0c0>
      <P align=right>Current Record:</P></TD>
    <TD align=middle bgColor=#c0c0c0>
      <P 
      align=left><asp:Label id=RecordIdLabel runat="server">none</asp:Label></P></TD></TR>
					<TR>
						<TD align="middle" bgColor="silver">
							<P align="right"><FONT color="red">*</FONT> <U>C</U>ode:
							</P>
						</TD>
						<TD align="middle" bgColor="silver">
							<P align="left">
								<asp:textbox id="CodeText" runat="server" MaxLength="1" ToolTip="Enter the schedule code." accessKey="C"></asp:textbox>
							</P>
						</TD>
					</TR>
					<TR>
						<TD align="middle" background="" bgColor="silver">
							<P align="right"><FONT color="red">*</FONT> <U>D</U>ays:
							</P>
						</TD>
						<TD align="middle" bgColor="silver">
							<P align="left">
								<asp:textbox id="DaysText" runat="server" MaxLength="40" ToolTip="Enter the days that make up the schedule." accessKey="D"></asp:textbox>
							</P>
						</TD>
					</TR>
					<TR>
						<TD align="middle" bgColor="silver">
							<P align="right"><FONT color="red">*</FONT> <U>A</U>ppears As:
							</P>
						</TD>
						<TD align="middle" bgColor="silver">
							<P align="left">
								<asp:textbox id="AppearsText" runat="server" MaxLength="8" ToolTip="Enter the schedules abbreviation." accessKey="A"></asp:textbox>
							</P>
						</TD>
					</TR>
					<TR>
						<TD align="middle" bgColor="silver">
						</TD>
						<TD align="middle" bgColor="silver">
						</TD>
					</TR>
					<TR>
						<TD align="middle" colSpan="2">
							<P align="center">
								<asp:button id="PostButton" runat="server" Text="Post" Enabled="False" accessKey="P" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;
								<INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx'" type="button" value="Exit" name="ExitButton" accessKey="X" title="Exits the current screen and displays the initial VSS screen.">
							</P>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P>
			<P>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter>
			</P>
		</form>
	</body>
</HTML>
