<%@ Register TagPrefix="uc1" TagName="BrowserVersionForReports" Src="../Utility/BrowserVersionForReports.ascx" %>
<%@ Page language="c#" Codebehind="HoursByService.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.HoursByService" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>HoursByService</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
		<SCRIPT language="javascript" src="/utility/openWindow.js"></SCRIPT>
</HEAD>
	<body>
		<form id="HoursByService" onsubmit="Set_Blank()" method="post" runat="server">
			<P>
				<VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader></P>
			<P>
				<TABLE id="Table1" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3>Regular Scheduled&nbsp;Hours By Service</H3>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P>&nbsp;</P>
			<P align="center">
				<TABLE id="Table2" style="WIDTH: 694px; HEIGHT: 569px" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD vAlign="top" align="right">
							<P><STRONG> </STRONG>&nbsp;</P>
							<P><STRONG>Select Station: </STRONG>
							</P>
						</TD>
						<TD align="left">
							<asp:listbox id="DivisionList" runat="server" Width="174px" AutoPostBack="True"></asp:listbox></TD>
					</TR>
					<TR>
						<TD align="right"><STRONG>Begin Month/Year:</STRONG></TD>
						<TD>
							<asp:dropdownlist id="BegMonthYearList" runat="server" Width="126px"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD align="right">
							<P><STRONG>End Month/Year:</STRONG></P>
						</TD>
						<TD>
							<asp:dropdownlist id="EndMonthYearList" runat="server" Width="126px"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD align="right"></TD>
						<TD>
							<asp:comparevalidator id="BeginEndDateValidator" runat="server" Font-Bold="True" ErrorMessage="End Date must be greater than or equal to Begin Date." ControlToValidate="EndMonthYearList" ControlToCompare="BegMonthYearList" Operator="GreaterThanEqual" Type="Date"></asp:comparevalidator></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right" colSpan="2">
							<P align="center">
								<TABLE id="Table4" style="WIDTH: 516px; HEIGHT: 219px" cellSpacing="3" cellPadding="3" bgColor="gainsboro" border="0">
									<TR>
										<TD style="WIDTH: 183px">
											<P><U>Available&nbsp;Services</U>
											</P>
										</TD>
										<TD style="WIDTH: 111px">
											<asp:requiredfieldvalidator id="SvcListBoxValidator" runat="server" Font-Bold="True" ErrorMessage="Select a Service." Width="149px" ControlToValidate="SelectedSvcListBox"></asp:requiredfieldvalidator></TD>
										<TD><U>Selected Services</U>
										</TD>
									</TR>
									<TR>
										<TD style="WIDTH: 183px">
											<asp:listbox id="ServiceListBox" runat="server" SelectionMode="Multiple" Rows="10"></asp:listbox></TD>
										<TD style="WIDTH: 111px">
											<P align="center">
												<INPUT id="btnAddAll" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('AddAll');" type="button" size="20" value="      Add All=>" name="btnAddAll"></P>
											<P>
												<INPUT id="btnAdd" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('Add');" type="button" size="20" value="          Add =>" name="btnAdd"></P>
											<P>
												<INPUT id="btnRemove" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('Remove');" type="button" value="     <= Remove" name="btnRemove"></P>
											<P>
												<INPUT id="btnRemoveAll" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('RemoveAll');" type="button" value="<= Remove All" name="btnRemoveAll"></P>
										</TD>
										<TD>
											<asp:listbox id="SelectedSvcListBox" runat="server" SelectionMode="Multiple" Rows="10"></asp:listbox></TD>
									</TR>
								</TABLE>
							</P>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"><STRONG>Print Format:</STRONG>
						</TD>
						<TD>
							<TABLE id="Table3" cellSpacing="0" cellPadding="0" border="0">
								<TR>
									<TD vAlign="center">
										<asp:radiobuttonlist id="PrintFormatList" runat="server">
											<asp:ListItem Value="Web" Selected="True">Web</asp:ListItem>
											<asp:ListItem Value="Acrobat">Acrobat</asp:ListItem>
											<asp:ListItem Value="Excel">Excel</asp:ListItem>
											<asp:ListItem Value="Word">Word</asp:ListItem>
										</asp:radiobuttonlist></TD>
									<TD vAlign="center">&nbsp;
										<asp:button id="PrintButton" runat="server" Font-Bold="True" Width="80px" Text="Display" Height="40px" ToolTip="Displays the report in the format of your choice."></asp:button></TD>
								</TR>
							</TABLE>
							<BR>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
