<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Page language="c#" Codebehind="VolunteerChooserNew.aspx.cs" AutoEventWireup="false" Inherits="VTK.Volunteer.VolunteerChooserNew" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>Add a New Volunteer</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body onload="VolunteerChooserAdd.NameText.focus()">
		<form id="VolunteerChooserAdd" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">
				Add Volunteer
			</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True"></asp:label><asp:regularexpressionvalidator id="SSNValidator" runat="server" ErrorMessage="Full 9 digit SSN,  - (hyphens) are optional." ValidationExpression="\d{3}-{0,1}\d{2}-{0,1}\d{4}" ControlToValidate="SSNText"></asp:regularexpressionvalidator><asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green"></asp:label></P>
			<P align="center">
				<TABLE id="Table1" cellSpacing="3" cellPadding="0" border="0">
					<TR>
						<TD bgColor="#6699ff" colSpan="2">
							<P align="center"><STRONG>First</STRONG> ,&nbsp;enter the Volunteer's last name and 
								social security number.
							</P>
						</TD>
					</TR>
					<TR>
						<TD>
							<P align="right">Last Name:</P>
						</TD>
						<TD>
							<asp:textbox id="NameText" runat="server" tooltip="Add the volunteers last name. Up to 30 characters are allowed." MaxLength="35" Width="218px"></asp:textbox></TD>
					</TR>
					<TR>
						<TD>
							<P align="right">Social Security Number:</P>
						</TD>
						<TD>
							<asp:textbox id="SSNText" runat="server" tooltip="Enter the volunteers Social Security Number. Nine digits are required and the hyphens are optional. For example, 556-47-3007." MaxLength="11" Width="216px"></asp:textbox>
							<asp:regularexpressionvalidator id="SSNValidator2" runat="server" ErrorMessage="!" ControlToValidate="SSNText" ValidationExpression="\d{3}-{0,1}\d{2}-{0,1}\d{4}" CssClass="Validator"></asp:regularexpressionvalidator></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px"></TD>
						<TD>
							<asp:button id="SubmitButton" runat="server" ToolTip="Searches the VSS records to determine whether the volunteers name and SSN already exist within the system. " Text="Search for Existing Volunteer"></asp:button></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px"></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD bgColor="#6699ff" colSpan="2">
							<P align="center"><STRONG>Then</STRONG> , search for an existing volunteer record.
							</P>
						</TD>
					</TR>
					<TR>
						<TD colSpan="2">
							<P align="left">
								<asp:label id="MatchLabel" runat="server" Font-Bold="True" ForeColor="Navy" EnableViewState="False" Visible="False">No volunteers match your criteria.</asp:label></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px" colSpan="2"></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px"></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px">
							<P align="right">
								<asp:listbox id="VolunteerList" runat="server" Enabled="False" Rows="12"></asp:listbox></P>
						</TD>
						<TD>
							<P align="left">
								<asp:button id="ChooseButton" runat="server" tooltip="Displays the volunteers record after you select the desired volunteer entry from the list." Text="Choose" Enabled="False" Height="24px"></asp:button></P>
							<P align="left">&nbsp;</P>
							<P align="left">
								<asp:button id="AddButton" runat="server" EnableViewState="False" ToolTip="Allows you to add a new volunteer record starting with the last name and Social Security Number you entered in the previous screen. " Text="Add" Enabled="False" Height="24px"></asp:button></P>
							<P align="left">&nbsp;</P>
							<P align="left">
								<INPUT id="ExitButton" accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton" title="Exits the current screen and displays the initial VSS screen."></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 122px"></TD>
						<TD></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
			<P align="center"></P>
		</form>
	</body>
</HTML>
