<%@ Page language="c#" Codebehind="VolunteerEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.Volunteer.VolunteerEdit" %>
<%@ Register TagPrefix="uc1" TagName="VolunteerChooserControl" Src="VolunteerChooserControl.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Volunteer Record</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body bgColor="#ffffff">
		<form id="VoluteerEdit" method="post" runat="server">
			<P align="center"><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">Edit Volunteer</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Size="Larger" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label><asp:label id="ConfirmationMessage" runat="server" Font-Size="Larger" ForeColor="Green" EnableViewState="False"></asp:label><asp:validationsummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:validationsummary></P>
			<P align="center"><asp:panel id="ChooserPanel" runat="server" Height="31px" Width="336px">
					<uc1:VolunteerChooserControl id="VolunteerChooserControl1" runat="server"></uc1:VolunteerChooserControl>
				</asp:panel></P>
			<P align="center"><asp:panel id="EditPanel" runat="server" Height="216px" Width="880px" Visible="False">
					<DIV align="left">
						<TABLE id="Table2" style="BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BORDER-BOTTOM-STYLE: none" cellSpacing="0" cellPadding="3" align="left" border="0">
							<TR>
								<TD style="HEIGHT: 24px" bgColor="#6699ff" colSpan="4">
									<P align="center"><STRONG>Master Record</STRONG></P>
								</TD>
							</TR>
							<TR>
								<TD bgColor="#cccccc" colSpan="4">
									<P align="left"><FONT color="red">(*) fields are required!</FONT>
									</P>
								</TD>
							</TR>
							<TR>
								<TD bgColor="#cccccc">
									<P align="right"><FONT color="red"><STRONG>*</STRONG></FONT>Last Name<STRONG>:</STRONG>
									</P>
								</TD>
								<TD bgColor="#cccccc">
									<asp:textbox id="LastNameText" runat="server" ToolTip="Enter the volunteers last name. Up to 30 characters are allowed." MaxLength="30"></asp:textbox></TD>
								<TD bgColor="#cccccc">
									<P align="right"><FONT color="red"><STRONG>*</STRONG> </FONT>First Name<STRONG>:</STRONG>
									</P>
								</TD>
								<TD bgColor="#cccccc">
									<asp:textbox id="FirstNameText" runat="server" ToolTip="Enter the volunteers first name. Up to 30 characters are allowed." MaxLength="30"></asp:textbox></TD>
							</TR>
							<TR>
								<TD align="right" bgColor="#cccccc">Middle Name or Initials:
								</TD>
								<TD bgColor="#cccccc">
									<asp:textbox id="MiddleNameText" runat="server" ToolTip="Enter the volunteers middle name or initial. Up to 30 characters are allowed." MaxLength="20"></asp:textbox></TD>
								<TD bgColor="#cccccc">
									<P align="right">Suffix (Jr., Sr., etc.):&nbsp;</P>
								</TD>
								<TD bgColor="#cccccc">
									<asp:TextBox id="SuffixText" runat="server" ToolTip="Enter the volunteers name suffix. Up to 10 characters are allowed." MaxLength="10"></asp:TextBox></TD>
							</TR>
							<TR>
								<TD align="right" bgColor="#cccccc">NickName:</TD>
								<TD bgColor="#cccccc">
									<asp:textbox id="NickNameText" runat="server" ToolTip="Enter the volunteers nickname, if one exists. Up to 10 characters are allowed." MaxLength="20"></asp:textbox></TD>
								<TD bgColor="#cccccc">
									<P align="right"><FONT color="red">*</FONT>Sex:</P>
								</TD>
								<TD bgColor="#cccccc">
									<asp:radiobuttonlist id="SexList" runat="server" ToolTip="Select the appropriate Sex for the Volunteer." RepeatDirection="Horizontal">
										<asp:ListItem Value="M">Male</asp:ListItem>
										<asp:ListItem Value="F">Female</asp:ListItem>
									</asp:radiobuttonlist></TD>
							</TR>
							<TR>
								<TD bgColor="#cccccc">
									<P align="right"><FONT color="red">*</FONT>Social Security Number:
									</P>
								</TD>
								<TD bgColor="#cccccc">
									<asp:textbox id="SSNText" runat="server" MaxLength="11" tooltip="Enter the volunteers Social Security Number. Nine digits are required and the hyphens are optional. For example, 556-47-3007."></asp:textbox>
									<asp:regularexpressionvalidator id="SSNValidator" runat="server" ErrorMessage="Full 9 digit SSN,  - (hyphens) are optional." CssClass="Validator" ValidationExpression="\d{3}-{0,1}\d{2}-{0,1}\d{4}" ControlToValidate="SSNText">!</asp:regularexpressionvalidator></TD>
								<TD bgColor="#cccccc">
									<P align="right">Pseudo SSN:
									</P>
								</TD>
								<TD bgColor="#cccccc">
									<asp:checkbox id="PseudoCheckBox" runat="server" ToolTip="Select 'Yes' if the Volunteer's Social Security Number is a Pseudo." Text="Yes"></asp:checkbox></TD>
							</TR>
							<TR>
								<TD style="HEIGHT: 33px" bgColor="#cccccc">
									<P align="right"><FONT color="red">*</FONT>Date Of Birth:
									</P>
								</TD>
								<TD style="HEIGHT: 33px" bgColor="#cccccc">
									<VHAVTK:VTKCOMPOSITEDATE id="DateOfBirthDate" runat="server" FirstItemHeader="True"></VHAVTK:VTKCOMPOSITEDATE></TD>
								<TD style="HEIGHT: 33px" bgColor="#cccccc">
									<P align="left">
										<asp:Label id="ImpreciseDayLabel" runat="server" ForeColor="Green" Visible="False">Day is not accurate!</asp:Label>
										<asp:Label id="ImpreciseMonthLabel" runat="server" ForeColor="Green" Visible="False">Month and Day are not accurate!</asp:Label></P>
								</TD>
								<TD style="HEIGHT: 33px" bgColor="#cccccc">
									<P>&nbsp;</P>
								</TD>
							</TR>
							<TR>
								<TD style="HEIGHT: 33px" bgColor="#cccccc">
									<P align="right">VA Employee:
									</P>
								</TD>
								<TD style="HEIGHT: 33px" bgColor="#cccccc">
									<P>
										<asp:CheckBox id="VAEmployeeCheck" runat="server" Text="Yes"></asp:CheckBox></P>
								</TD>
								<TD style="HEIGHT: 33px" bgColor="#cccccc">
									<P align="right">Preferred Language:</P>
								</TD>
								<TD style="HEIGHT: 33px" bgColor="#cccccc">
									<asp:DropDownList id="LanguageList" runat="server" Width="143px"></asp:DropDownList></TD>
							</TR>
							<TR>
								<TD style="HEIGHT: 94px" vAlign="top" align="right" bgColor="#cccccc">
									<P>&nbsp;Terminated Remarks:
										<BR>
									</P>
								</TD>
								<TD style="HEIGHT: 94px" vAlign="top" bgColor="#cccccc" colSpan="3">
									<asp:textbox id="RemarksText" runat="server" ForeColor="Black" Width="100%" Height="73px" MaxLength="800" ReadOnly="True" BackColor="Gainsboro" TextMode="MultiLine"></asp:textbox></TD>
							</TR>
							<TR>
								<TD style="HEIGHT: 51px" bgColor="white" colSpan="4">
									<P align="center">
										<asp:button id="PostButton" runat="server" ToolTip="Saves the new or updated record." Text="Post"></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;
										<INPUT id="ExitButton" title="Exits the current screen and displays the initial VSS screen." accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton">
									</P>
								</TD>
							</TR>
							<TR>
								<TD align="middle" bgColor="#ffffff" colSpan="4">
									<TABLE id="Table1" cellSpacing="0" cols="0" cellPadding="4" bgColor="#eeeeee" border="0">
										<TR>
											<TD width="25" bgColor="#6699ff"></TD>
											<TD bgColor="#6699ff"><STRONG>&nbsp; Station Records:&nbsp; </STRONG>
											</TD>
											<TD width="25" bgColor="#6699ff"></TD>
										</TR>
										<TR>
											<TD></TD>
											<TD>
												<P align="center">
													<asp:LinkButton id="ContactLink" runat="server" ToolTip="Brings you to the Volunteer Contact Information screen. ">Contact Information</asp:LinkButton></P>
											</TD>
											<TD></TD>
										</TR>
										<TR>
											<TD></TD>
											<TD>
												<P align="center">
													<asp:linkbutton id="KinLink" runat="server" ToolTip="Brings you to the Volunteer Next of Kin screen. ">Next of Kin</asp:linkbutton></P>
											</TD>
										</TR>
										<TR>
											<TD></TD>
											<TD>
												<P align="center">
													<asp:linkbutton id="StationLink" runat="server" ToolTip="Brings you to the Volunteer Station Profile screen. ">Station Profile</asp:linkbutton></P>
											</TD>
											<TD></TD>
										</TR>
										<TR>
											<TD></TD>
											<TD>
												<P align="center">
													<asp:linkbutton id="ComboLink" runat="server" ToolTip="Brings you to the Volunteer Combination Codes screen.">Combination Codes</asp:linkbutton></P>
											</TD>
											<TD></TD>
										</TR>
										<TR>
											<TD></TD>
											<TD>
												<P align="center">
													<asp:LinkButton id="ParkingButton" runat="server" ToolTip="Brings you to the Parking Stickers screen.">Parking Stickers</asp:LinkButton></P>
											</TD>
										</TR>
										<TR>
											<TD></TD>
											<TD>
												<P align="center">&nbsp;</P>
											</TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
						</TABLE>
					</DIV>
				</asp:panel>
			<P></P>
			<P align="center">&nbsp;</P>
			<P align="center"></P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
