<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="VolunteerMultContactEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.Volunteer.VolunteerMultContactEdit" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>VolunteerMultContactEdit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<form id="VolunteerMultContactEdit" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False">
			</VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">Volunteer Contact Information
			</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" ForeColor="Red" EnableViewState="False" Font-Size="Larger">
			</asp:label>
			<asp:label id="ConfirmationMessage" runat="server" ForeColor="Green" EnableViewState="False" Font-Size="Larger"></asp:label><asp:ValidationSummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:ValidationSummary>
			</P>
			<H3 align="center">
				<TABLE id="Table2" cellSpacing="0" cellPadding="3" border="0" DESIGNTIMEDRAGDROP="59">
					<TR>
						<TD borderColor="#6699ff" align="middle" colSpan="3">
							<P align="left">&nbsp;</P>
						</TD>
					</TR>
					<TR bgColor="#6699ff">
						<TD borderColor="#6699ff" align="middle" colSpan="3">
							<P><STRONG>Volunteer Name:</STRONG>
								<asp:label id="VolunteerNameLabel" runat="server">VolunteerName</asp:label></P>
							<P>
								<asp:Label id="StationLabel" runat="server" Font-Bold="True">For Station:</asp:Label>&nbsp;
								<asp:Label id="StationNameLabel" runat="server">StationName</asp:Label><STRONG></STRONG></STRONG></P>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right">
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
						<TD></TD>
						<TD align="right">&nbsp;
						</TD>
					</TR>
					<TR>
						<TD align="right" bgColor="gainsboro">
							Contact:
						</TD>
						<TD bgColor="gainsboro" colSpan="2"><asp:label id="RecordLabel" runat="server" Visible="False"></asp:label><asp:dropdownlist id="RecordList" runat="server" Visible="False" AutoPostBack="True"></asp:dropdownlist></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right"><FONT color="red">*</FONT>Street Address #1:
						</TD>
						<TD colSpan="2"><asp:textbox id="Address1Text" runat="server" Width="250px" MaxLength="35" ToolTip="Enter the volunteers street address. Up to 35 characters are allowed."></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right">Street Address #2:
						</TD>
						<TD colSpan="2"><asp:textbox id="Address2Text" runat="server" Width="250px" MaxLength="35" ToolTip="Enter the second line of the volunteers street address, if you are using a two-line street address. Up to 35 characters are allowed. "></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right"><FONT color="red">*</FONT>City:
						</TD>
						<TD colSpan="2"><asp:textbox id="CityText" runat="server" MaxLength="30" ToolTip="Enter the name of the city in which the volunteer resides. Up to 30 characters are allowed."></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right"><FONT color="red">*</FONT>State:
						</TD>
						<TD colSpan="2">
							<asp:dropdownlist id="StateList" runat="server"></asp:dropdownlist>&nbsp;<FONT color="red">*</FONT>Zip:
							<asp:textbox id="ZipText" runat="server" MaxLength="10" ToolTip="Enter the zip code in which the volunteer resides in either a 5-digit format or a 9-digit format including the hyphen. For example, 94612 or 94612-2221. "></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right">Telephone:
						</TD>
						<TD colSpan="2">
							<asp:textbox id="PhoneText" runat="server" MaxLength="30" ToolTip="Enter the volunteers area code and phone number separated with hyphens. You can also enter an extension number and other information. Up to 30 characters are allowed. For example, 814-555-8164 ext. 7142 or 814-555-8164 Unlisted."></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right">&nbsp;Alternate Telephone #1:
						</TD>
						<TD colSpan="2">
							<asp:textbox id="Phone1Text" runat="server" MaxLength="30" ToolTip="Enter the volunteers alternate phone number starting with area code. This number may be a friends, relatives, neighbors or the volunteers work number. Up to 30 characters are allowed.  For example, 814-555-7000 Work #.  "></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right">Alternate Telephone #2:
						</TD>
						<TD colSpan="2">
							<asp:textbox id="Phone2Text" runat="server" MaxLength="30" ToolTip="Enter the volunteers second alternate phone number starting with area code. This number may be a friends, relatives, neighbors or the volunteers work number. Up to 30 characters are allowed. For example, 814-555-7763 Brothers #. "></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right">E-Mail Address:
						</TD>
						<TD colSpan="2">
							<asp:textbox id="EMailText" runat="server" MaxLength="50" ToolTip="Edit the volunteers e-mail address. Up to 50 characters are allowed."></asp:textbox><asp:RegularExpressionValidator id="EMailValidator" runat="server" ErrorMessage="Must be in the form, name@url." ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ControlToValidate="EMailText" CssClass="Validator">!</asp:RegularExpressionValidator></TD>
					</TR>
					<TR>
						<TD align="middle" colSpan="3">
							<asp:button id="PostButton" runat="server" Text="Post" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;
							<INPUT id="ExitButton" onclick="window.location.href='/vtk/volunteer/VolunteerEdit.aspx' + '?StationId=' + form.StationId.value + '&amp;volId=' + form.volId.value" type="button" value="Exit" name="ExitButton" accesskey="X" title="Exits the current screen and returns to the Edit Volunteer screen.">
							&nbsp;&nbsp;
							<asp:button id="NewButton" runat="server" Text="New" ToolTip="Add a New Contact."></asp:button>
							<asp:Button id="DeleteButton" runat="server" Visible="False" Text="Delete" ToolTip="Delete the selected Contact Information record."></asp:Button></TD>
					</TR>
				</TABLE>
			</H3>
			<P align="center">
				<asp:Panel id="DataGridPanel" runat="server">
<TABLE id=Table1 cellSpacing=0 cellPadding=4 align=center border=0>
  <TR>
    <TD align=middle bgColor=#6699ff colSpan=3>Current&nbsp;Contacts</TD></TR>
  <TR>
    <TD align=middle bgColor=silver colSpan=3><asp:datagrid id=StationDataGrid runat="server" AutoGenerateColumns="False" BackColor="White" CellPadding="3" CellSpacing="3">
									<HeaderStyle BackColor="Silver"></HeaderStyle>
									<Columns>
										<asp:BoundColumn Visible="False" DataField="StationId" HeaderText="ID"></asp:BoundColumn>
										<asp:BoundColumn DataField="StationDisplayName" HeaderText="Station"></asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="ContactInformationId"></asp:BoundColumn>
										<asp:BoundColumn DataField="ContactInformationDisplayName" HeaderText="Contact"></asp:BoundColumn>
										<asp:EditCommandColumn ButtonType="PushButton" UpdateText="Update" CancelText="Cancel" EditText="Edit"></asp:EditCommandColumn>
									</Columns>
								</asp:datagrid></TD></TR>
  <TR>
    <TD align=right colSpan=3>
      <P align=center>&nbsp;&nbsp;&nbsp;</P></TD></TR></TABLE>
				</asp:Panel>
			</P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
			<P align="center">&nbsp;</P>
		</form>
	</body>
</HTML>
