<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="VolunteerParkingEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.VOLUNTEER.VolunteerParkingEdit" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../UTILITY/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>VolunteerParkingEdit</title>
		<meta content="False" name="vs_showGrid">
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<form id="VolunteerParkingEdit" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">Parking Stickers</H3>
			<P align="center"><asp:datagrid id="ParkingGrid" accessKey="V" runat="server" AutoGenerateColumns="False">
					<Columns>
						<asp:BoundColumn Visible="False" DataField="ID"></asp:BoundColumn>
						<asp:BoundColumn Visible="False" DataField="StationProfileId" HeaderText="StationProfileId"></asp:BoundColumn>
						<asp:BoundColumn Visible="False" DataField="StateId" HeaderText="StateId"></asp:BoundColumn>
						<asp:EditCommandColumn ButtonType="PushButton" UpdateText="" CancelText="" EditText="Edit"></asp:EditCommandColumn>
						<asp:BoundColumn DataField="StickerNumber" HeaderText="Sticker #">
							<HeaderStyle BackColor="#33CCCC"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="State" HeaderText="State">
							<HeaderStyle BackColor="#33CCCC"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="LicensePlate" HeaderText="Plate #">
							<HeaderStyle BackColor="#33CCCC"></HeaderStyle>
						</asp:BoundColumn>
					</Columns>
				</asp:datagrid></P>
			<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Size="Larger" EnableViewState="False" ForeColor="Red" Font-Bold="True"></asp:label><asp:label id="ConfirmationMessage" runat="server" Font-Size="Larger" EnableViewState="False" ForeColor="Green"></asp:label><asp:ValidationSummary id=ValidationSummary1 runat="server" DisplayMode="List"></asp:ValidationSummary></P>
			<P align="center">
				<TABLE id="Table1" cellSpacing="1" cellPadding="3" border="0">
					<TR>
						<TD bgColor="#6699ff" colSpan="2">
							<P align="center"><STRONG>Volunteer Name:</STRONG>&nbsp;
								<asp:label id="VolunteerNameLabel" runat="server" Font-Bold="True">VolunteerName</asp:label>&nbsp;&nbsp;</P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0" colSpan="2">
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right">Record Id:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:label id="RecordLabel" runat="server">RecordLabel</asp:label></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right"><FONT color="red">*</FONT>Sticker Number:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:textbox id="StickerText" runat="server" MaxLength="13" ToolTip="Enter your stations number, a hyphen, and then the volunteers parking sticker number. Up to 13 characters are allowed. For example, 503-P111."></asp:textbox><asp:RegularExpressionValidator id=StickerValidator runat="server" ErrorMessage="Enter your stations number, a hyphen, and then the volunteers parking sticker number. Up to 13 characters are allowed. For example, 503-P111." CssClass="Validator" ControlToValidate="StickerText" ValidationExpression="\d{3}\w{0,3}-\w{1,6}">!</asp:RegularExpressionValidator></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right">State:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:dropdownlist id="StateList" runat="server"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right">License Plate:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:textbox id="LicenseText" runat="server" MaxLength="12" ToolTip="Enter the volunteers vehicle license number. Up to 12 characters are allowed. For example, 4GLS097."></asp:textbox></TD>
					</TR>
					<TR>
						<TD colSpan="2">
							<P align="center"><asp:button id="PostButton" runat="server" ToolTip="Saves the new or updated record." Text="Post"></asp:button>&nbsp;&nbsp;&nbsp;
								<INPUT id="ExitButton" accessKey="X" onclick="window.location.href='/vtk/volunteer/VolunteerEdit.aspx' + '?StationId=' + form.StationId.value + '&amp;volId=' + form.volId.value" type="button" value="Exit" name="ExitButton" title="Exits the current screen and returns to the Edit Volunteer screen.">&nbsp;&nbsp;&nbsp;
								<asp:button id="NewButton" runat="server" ToolTip="Clear fields so a new Parking Sticker can be added." Text="Clear"></asp:button>&nbsp;&nbsp;&nbsp;
								<asp:button id="DeleteButton" runat="server" ToolTip="Delete the selected Contact Information record." Text="Delete" Visible="False"></asp:button></P>
						</TD>
					</TR>
					<TR>
						<TD></TD>
						<TD></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
