<%@ Page language="c#" Codebehind="AffiliatedOrganizationEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.AffiliatedOrganizationEdit" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Edit Affiliated Organizations</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="AffiliatedOrganizationEdit" method="post" runat="server">
			<P align="center">
				<VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER>
			</P>
			<center>
				<TABLE cellSpacing="1" cellPadding="1" width="100%" border="0">
					<TR>
						<TD align="middle">
							<H3>
								Affiliated Organizations
							</H3>
						</TD>
					</TR>
					<TR>
						<TD align="middle">
							<asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True" Font-Size="Larger"></asp:label>
							<asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green" Font-Bold="True" Font-Size="Larger"></asp:label>
						</TD>
					</TR>
				</TABLE>
				<TABLE cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD bgColor="#dcdcdc">
							<P align="center"><U>O</U>rganization:
								<asp:dropdownlist id="OrganizationList" runat="server" accessKey="O"></asp:dropdownlist>
								&nbsp;&nbsp;
								<asp:button id="AddButton" runat="server" Text="Add" accessKey="A" ToolTip="Adds the selected organization name to the list of Current Affiliated Organizations."></asp:button>
							</P>
						</TD>
					</TR>
					<TR>
						<TD>
							<H4 align="center">
								<U></U>
							</H4>
							<H4 align="center">
								<U>Current Affiliated Organizations</U>
							</H4>
						</TD>
					</TR>
					<TR>
						<TD>
							<P align="center">
								<asp:datagrid id="OrganizationDataGrid" runat="server" AutoGenerateColumns="False" accessKey="C">
									<Columns>
										<asp:ButtonColumn Text="Delete" ButtonType="PushButton" CommandName="Select"></asp:ButtonColumn>
										<asp:BoundColumn Visible="False" DataField="ID"></asp:BoundColumn>
										<asp:BoundColumn DataField="DisplayName" HeaderText="Name"></asp:BoundColumn>
									</Columns>
								</asp:datagrid>
							</P>
						</TD>
					</TR>
					<TR>
						<TD>
							<HR width="100%">
							&nbsp;
						</TD>
					</TR>
					<TR>
						<TD>
							<P align="center">
								<INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton" accessKey="X" title="Exits the current screen and displays the initial VSS Screen.">
							</P>
						</TD>
					</TR>
				</TABLE>
			</center>
			<P align="center">
				<uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter>
			</P>
		</form>
		<P align="center">
		</P>
	</body>
</HTML>
