<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="DonorChooser.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.DonorChooser" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>DonorChooser</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<BODY>
		<form id="DonorChooser" method="post" runat="server">
			<VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER>
			<H3 align="center">Add|Edit Donations</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label><asp:label id="ConfirmationMessage" runat="server" ForeColor="Green" EnableViewState="False"></asp:label></P>
			<P align="center"><asp:panel id="SearchPanel" runat="server" Height="43px" Width="731px" HorizontalAlign="Center">
					<P></P>
					<P align="center">Sort&nbsp;by
						<asp:dropdownlist id="SearchOptionList" runat="server" AutoPostBack="True">
							<asp:ListItem Value="none">- Select -</asp:ListItem>
							<asp:ListItem Value="DonationDate">Date</asp:ListItem>
							<asp:ListItem Value="LastName">Last Name</asp:ListItem>
							<asp:ListItem Value="OrganizationName">Organization</asp:ListItem>
							<asp:ListItem Value="DonorAffiliation">Other Groups</asp:ListItem>
							<asp:ListItem Value="DonationValue">Value</asp:ListItem>
						</asp:dropdownlist>&nbsp;
						<asp:Label id="ForLabel" runat="server">For</asp:Label>&nbsp;
						<asp:textbox id="SearchText" runat="server" Visible="False" ToolTip="Text used to filter the table."></asp:textbox>&nbsp;
						<asp:Label id="FromLabel" runat="server" Visible="False">From:</asp:Label>
						<VHAVTK:VTKCOMPOSITEDATE id="BeginDate" runat="server"></VHAVTK:VTKCOMPOSITEDATE>&nbsp;
						<asp:Label id="ToLabel" runat="server" Visible="False">To:</asp:Label>
						<VHAVTK:VTKCOMPOSITEDATE id="EndDate" runat="server" Visible="False"></VHAVTK:VTKCOMPOSITEDATE></P>
					<P align="center">
						<asp:button id="SearchButton" runat="server" Width="60px" Height="25px" ToolTip="Execute the sort of the table for the given parameters." Text="Sort"></asp:button>&nbsp;&nbsp;
						<asp:button id="ResetButton" runat="server" Width="60px" Height="25px" ToolTip="Reset the sort parameters to Date and today and execute." Text="Reset"></asp:button></P>
					<P>
				</asp:panel></P>
			<H5 align="center">
				<asp:Label id="NoListLabel" runat="server" ForeColor="Green" Visible="False">No Data matches sort criteria!</asp:Label></H5>
			<P align="center"><asp:datagrid id="DonationGrid" runat="server" AutoGenerateColumns="False" AllowPaging="True">
					<HeaderStyle Font-Bold="True" ForeColor="White" BackColor="Navy"></HeaderStyle>
					<Columns>
						<asp:EditCommandColumn ButtonType="PushButton" UpdateText="" CancelText="" EditText="Edit"></asp:EditCommandColumn>
						<asp:BoundColumn DataField="ID" HeaderText="Don. Id"></asp:BoundColumn>
						<asp:BoundColumn Visible="False" DataField="DonorId" HeaderText="DonorId"></asp:BoundColumn>
						<asp:BoundColumn DataField="DisplayName" HeaderText="Donor"></asp:BoundColumn>
						<asp:BoundColumn DataField="DonationDate" HeaderText="Date" DataFormatString="{0:d}"></asp:BoundColumn>
						<asp:BoundColumn DataField="DonationValue" HeaderText="Value"></asp:BoundColumn>
						<asp:BoundColumn DataField="DonationType" HeaderText="Type"></asp:BoundColumn>
						<asp:BoundColumn Visible="False" DataField="OrganizationName"></asp:BoundColumn>
						<asp:BoundColumn Visible="False" DataField="DonorAffiliation"></asp:BoundColumn>
						<asp:BoundColumn Visible="False" DataField="LastName"></asp:BoundColumn>
						<asp:BoundColumn DataField="Post_Unit_Chapter" HeaderText="Local Branch"></asp:BoundColumn>
						<asp:ButtonColumn Text="Add Donation" ButtonType="PushButton" CommandName="Cancel"></asp:ButtonColumn>
					</Columns>
					<PagerStyle Visible="False"></PagerStyle>
				</asp:datagrid></P>
			<P align="center">
			<P><asp:Panel id="PagerPanel" runat="server" Height="28px" Width="756px" HorizontalAlign="Center">
					<P align="center">
						<TABLE id="Table3" style="WIDTH: 590px; HEIGHT: 34px" cellSpacing="0" cellPadding="0" align="center" border="0">
							<TR>
								<TD align="middle">
									<asp:imagebutton id="FIRST" runat="server" ImageUrl="../Images/Paging/NAV_FIRST_67x18.gif" CommandArgument="FIRST"></asp:imagebutton></TD>
								<TD align="middle">
									<asp:imagebutton id="Previous" runat="server" ImageUrl="../Images/Paging/NAV_PREV_67x18.gif" CommandArgument="PREV"></asp:imagebutton></TD>
								<TD align="middle">
									<asp:label id="PageStats" runat="server" Font-Bold="True" Font-Size="Larger">Page 1 of 100</asp:label></TD>
								<TD align="middle">
									<asp:imagebutton id="Next" runat="server" ImageUrl="../Images/Paging/NAV_NEXT_67x18.gif" CommandArgument="NEXT" ImageAlign="Right"></asp:imagebutton></TD>
								<TD>
									<asp:imagebutton id="LAST" runat="server" ImageUrl="../Images/Paging/NAV_LAST_67x18.gif" CommandArgument="LAST" ImageAlign="Right"></asp:imagebutton></TD>
							</TR>
						</TABLE>
					</P>
				</asp:Panel>
			<P></P>
			<H5 align="center">Before&nbsp;creating a new Donor, check&nbsp;to see if Donor 
				already exists above!</H5>
			<P></P>
			<P align="center"></P>
			<P align="center"><asp:button id="AddButton" runat="server" Height="25px" Width="195px" Text="Create New Donor|Donation" ToolTip="Allows you to add a new Donor and Donation. "></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;
				<INPUT id="ExitButton" title="Exits the current screen and displays the initial VSS screen." accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" size="25" value="Exit" name="ExitButton"></P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</BODY>
</HTML>
