<%@ Page language="c#" Codebehind="ProgramsEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.ProgramsEdit" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>ProgramsEdit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<DIV align="center">
			<form id="ProgramsEdit" method="post" runat="server">
				<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
				<H3 align="center">Programs</H3>
				<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False" Font-Size="Larger"></asp:label><asp:validationsummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:validationsummary><asp:label id="ConfirmationMessage" runat="server" ForeColor="Green" EnableViewState="False" Font-Size="Larger"></asp:label></P>
				<P align="center">
					<TABLE id="Table1" cellSpacing="0" cellPadding="3" border="0" style="WIDTH: 617px; HEIGHT: 306px">
						<TR>
							<TD colSpan="2">
								<P align="right">&nbsp;</P>
							</TD>
						</TR>
						<TR>
							<TD style="WIDTH: 265px">
								<P align="right">Edit an&nbsp;Existing&nbsp;P<U>r</U>ogram Code:</P>
							</TD>
							<TD><asp:dropdownlist id="ProgramList" accessKey="R" runat="server" Width="245px"></asp:dropdownlist>&nbsp;
								<asp:button id="EditButton" accessKey="I" runat="server" ToolTip="Displays the selected program record for editing purposes. Only local program records are editable from this screen." Text="Edit"></asp:button></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 265px">
								<P align="right">or&nbsp;<U>C</U>reate a&nbsp;New&nbsp;Program Code:
								</P>
							</TD>
							<TD>
								<INPUT id="ClearButton" title="Clears the page for a new program." accessKey="C" onclick="window.location.href='/vtk/filemaintenance/programsedit.aspx' + '?StationId=' + form.StationId.value" type="button" value="New" name="ClearButton" style="WIDTH: 60px; HEIGHT: 25px"></TD>
						</TR>
						<TR>
							<TD colSpan="2">
								<P>
									<HR style="WIDTH: 100%" width="251.57%" SIZE="2">
							</TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" style="WIDTH: 265px"><FONT color="red">(*) fields are required!</FONT></TD>
							<TD bgColor="#c0c0c0">
								<P align="right">&nbsp;</P>
							</TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" style="WIDTH: 265px; HEIGHT: 15px">
								<P align="right">Current Record:</P>
							</TD>
							<TD bgColor="#c0c0c0" style="HEIGHT: 15px"><asp:label id="ProgramIdLabel" runat="server">none</asp:label></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" style="WIDTH: 265px; HEIGHT: 48px">
								<P align="right"><FONT color="red">*</FONT><U>C</U>ode:</P>
							</TD>
							<TD bgColor="#c0c0c0" style="HEIGHT: 48px"><asp:textbox id="CodeText" accessKey="C" runat="server" ToolTip="Enter a program code consisting of three digits. This code must be within the range of 100 to 999, inclusive.  " MaxLength="3"></asp:textbox><asp:label id="CodeLabel" runat="server"></asp:label>&nbsp;<asp:rangevalidator id="RangeValidator1" runat="server" ErrorMessage="Code should be a 3 digit number" ControlToValidate="CodeText" MinimumValue="100" MaximumValue="999" CssClass="Validator" Height="10px">  !</asp:rangevalidator></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" style="WIDTH: 265px; HEIGHT: 22px">
								<P align="right"><FONT color="red">*</FONT>Program N<U>a</U>me:</P>
							</TD>
							<TD bgColor="#c0c0c0" style="HEIGHT: 22px"><asp:textbox id="NameText" accessKey="A" runat="server" ToolTip="Enter the name of the program. Up to 30 characters are allowed." MaxLength="30"></asp:textbox><asp:label id="NameLabel" runat="server"></asp:label></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" style="WIDTH: 265px"></TD>
							<TD bgColor="#c0c0c0"></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 265px">
								<P align="right"><asp:button id="PostButton" accessKey="P" runat="server" ToolTip="Saves the new or updated record." Text="Post" Enabled="False"></asp:button>&nbsp;
								</P>
							</TD>
							<TD>
								<P align="justify">&nbsp;&nbsp; 
									<!--<asp:button id="NewButton" accessKey="N" runat="server" Height="25px" Width="59px" Text="New" ToolTip="Allows you to add a new program record."></asp:button> -->
									<!--<asp:button id="ExitButton" runat="server" Text="Exit" accessKey="X" Width="42" ></asp:button></TD>	--><INPUT id="ExitButton" title="Exits the current screen and displays the initial VSS screen." accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton">
								</P>
							</TD>
						<TR>
							<TD style="WIDTH: 265px"></TD>
							<TD></TD>
						</TR>
					</TABLE>
				</P>
				<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
			</form>
		</DIV>
	</body>
</HTML>
