<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Page language="c#" Codebehind="ServiceInformationEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.ServiceInformationEdit" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>ServiceInformationEdit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<form id="ServiceInformationEdit" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">Voluntary Services</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Size="Larger" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label><asp:label id="ConfirmationMessage" runat="server" Font-Size="Larger" ForeColor="Green" EnableViewState="False"></asp:label><asp:ValidationSummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:ValidationSummary></P>
			<P align="center">
				<TABLE id="Table1" cellSpacing="0" cellPadding="3" border="0" style="WIDTH: 811px; HEIGHT: 596px">
					<TR>
						<TD colSpan="4">
							<P align="center">&nbsp;</P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#6699ff" colSpan="4">
							<P align="center">Station:
								<asp:label id="StationNameLabel" runat="server">StationName</asp:label></P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0" colSpan="4">
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right"><FONT color="red">*</FONT>Service&nbsp;<U>T</U>itle:</P>
						</TD>
						<TD style="WIDTH: 176px" bgColor="#c0c0c0"><asp:textbox id="ServiceTitleText" runat="server" MaxLength="30" ToolTip="Enter the title of your Voluntary Service at your station. Up to 30 characters are allowed." accessKey="T"></asp:textbox></TD>
						<TD style="WIDTH: 230px" bgColor="#c0c0c0">
							<P align="right"><U>M</U>ail Stop Code:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:textbox id="MailStopText" runat="server" MaxLength="6" ToolTip="Enter your Voluntary Service offices mail stop code. Up to 6 characters are allowed." accessKey="M"></asp:textbox></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right">Primary&nbsp;P<U>h</U>one:</P>
						</TD>
						<TD style="WIDTH: 176px" bgColor="#c0c0c0"><asp:textbox id="ComPhoneText" runat="server" MaxLength="30" ToolTip="Enter your Voluntary Service offices primary phone number. Up to 30 characters are allowed." accessKey="H"></asp:textbox></TD>
						<TD style="WIDTH: 230px" bgColor="#c0c0c0">
							<P align="right"><U>A</U>lternate&nbsp;Phone:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:textbox id="ComPhone2Text" runat="server" MaxLength="30" ToolTip="Enter your Voluntary Service offices alternate phone number. Up to 30 characters are allowed." accessKey="A"></asp:textbox></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right"><U>F</U>AX Number:</P>
						</TD>
						<TD style="WIDTH: 176px" bgColor="#c0c0c0"><asp:textbox id="ComFaxText" runat="server" MaxLength="30" ToolTip="Enter your Voluntary Service offices fax number. Up to 30 characters are allowed." accessKey="F"></asp:textbox></TD>
						<TD style="WIDTH: 230px" bgColor="#c0c0c0"></TD>
						<TD bgColor="#c0c0c0"></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0" colSpan="4">
							<P align="right"><FONT style="BACKGROUND-COLOR: #c0c0c0"></FONT>&nbsp;</P>
						</TD>
					</TR>
					<TR>
						<TD style="HEIGHT: 27px" bgColor="#c0c0c0">
							<P align="right"><U>C</U>hief's Immediate Supervisor:</P>
						</TD>
						<TD style="WIDTH: 176px; HEIGHT: 27px" bgColor="#c0c0c0"><asp:TextBox id=SupervisorText runat="server" ToolTip="Enter the Voluntary Service Chief's Immediate Superisor's Title at your station. Up to 30 characters are allowed." MaxLength="30"></asp:TextBox></TD>
						<TD style="WIDTH: 230px; HEIGHT: 27px" bgColor="#c0c0c0"><P align="right">Service&nbsp;T<U>y</U>pe:</P>
						</TD>
						<TD style="HEIGHT: 27px" bgColor="#c0c0c0"><asp:dropdownlist id="ServiceTypeList" runat="server" accessKey="Y"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right"><U>O</U>perating Costs:</P>
						</TD>
						<TD style="WIDTH: 176px" bgColor="#c0c0c0"><asp:textbox id="OperatingCostsText" runat="server" MaxLength="12" ToolTip="The entire Voluntary Service Administration budget, based on previous fiscal year. Enter a dollar value not exceeding a total of 11 digits. No commas and decimals are allowed. For example, 100500." accessKey="O"></asp:textbox><asp:RegularExpressionValidator id="OperatingCostValidator" runat="server" ErrorMessage="Operating Costs must be a dollar value, no commas and decimal is optional." ControlToValidate="OperatingCostsText" CssClass="Validator" ValidationExpression="\d{1,9}.{0,1}\d{0,2}">!</asp:RegularExpressionValidator></TD>
						<TD style="WIDTH: 230px" bgColor="#c0c0c0">
							<P align="right"><U>S</U>taff Costs:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:textbox id="StaffCostsText" runat="server" MaxLength="12" ToolTip="Total yearly Salary and Benefits for the Voluntary Services staff. Enter a dollar value not exceeding a total of 11 digits. No commas and decimals are allowed. For example, 100500." accessKey="S"></asp:textbox><asp:RegularExpressionValidator id="StaffCostValidator" runat="server" ErrorMessage="Staff Costs must be a dollar value, no commas and decimal is optional." ControlToValidate="StaffCostsText" CssClass="Validator" ValidationExpression="\d{1,9}.{0,1}\d{0,2}">!</asp:RegularExpressionValidator></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right"><U>V</U>AVS Committee?:</P>
						</TD>
						<TD style="WIDTH: 176px" bgColor="#c0c0c0"><asp:checkbox id="VAVSCheckBox" runat="server" Text="Yes" accessKey="V"></asp:checkbox></TD>
						<TD style="WIDTH: 230px" bgColor="#c0c0c0">
							<P align="right">VAVS Information Last Reviewed:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:label id="ReviewDateLabel" runat="server">Date</asp:label></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right">&nbsp;</P>
						</TD>
						<TD style="WIDTH: 176px" bgColor="#c0c0c0"></TD>
						<TD style="WIDTH: 230px" bgColor="#c0c0c0">
							<P align="right">Update Last <U>R</U>eviewed Date:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:checkbox id="UpdateCheckBox" runat="server" Text="Yes" accessKey="R"></asp:checkbox></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0" colSpan="4">
							<P>
								<HR style="WIDTH: 100%" width="251.57%" SIZE="2">
							<P></P>
							<P align="center"><asp:datagrid id="SupervisedDataGrid" runat="server" AutoGenerateColumns="False" accessKey="S">
									<HeaderStyle BackColor="#6699FF"></HeaderStyle>
									<Columns>
										<asp:BoundColumn Visible="False" DataField="ID"></asp:BoundColumn>
										<asp:BoundColumn DataField="ProgramName" HeaderText="Programs Supervised">
											<ItemStyle BackColor="White"></ItemStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="ProgramId"></asp:BoundColumn>
										<asp:ButtonColumn Text="Delete" ButtonType="PushButton" CommandName="Delete"></asp:ButtonColumn>
									</Columns>
								</asp:datagrid>&nbsp;</P>
							<P align="center"><asp:dropdownlist id="ProgramList" runat="server" accessKey="S"></asp:dropdownlist>&nbsp;
								<asp:button id="AddButton" runat="server" Text="Add" accessKey="A" ToolTip="Adds the selected program name to the list of Programs Supervised."></asp:button></P>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center"><asp:button id="PostButton" runat="server" Text="Post" accessKey="P" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;
				<INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton" accessKey="X" title="Exits the current screen and displays the initial VSS screen.">
				&nbsp;&nbsp;
				<asp:button id="NextButton" runat="server" Text="Service Staff" accessKey="S" ToolTip="Brings you to the Voluntary Service Staff screen."></asp:button></P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
