<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Page language="c#" Codebehind="UserStaffEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.UserStaffEdit" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>UserStaffEdit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<form id="UserStaffEdit" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">
				Service Staff</H3>
			<P align="center"><asp:datagrid id="StaffGrid" accessKey="V" runat="server" AutoGenerateColumns="False">
<Columns>
<asp:BoundColumn Visible="False" DataField="VoluntaryStaffId"></asp:BoundColumn>
<asp:BoundColumn Visible="False" DataField="UserId" HeaderText="UserId"></asp:BoundColumn>
<asp:BoundColumn Visible="False" DataField="StaffTitleId" HeaderText="TitleId"></asp:BoundColumn>
<asp:EditCommandColumn ButtonType="PushButton" UpdateText="" CancelText="" EditText="Edit"></asp:EditCommandColumn>
<asp:BoundColumn DataField="ReportOrder" HeaderText="Row">
<HeaderStyle BackColor="#33CCCC">
</HeaderStyle>
</asp:BoundColumn>
<asp:BoundColumn DataField="DisplayUserName" HeaderText="Name">
<HeaderStyle BackColor="#33CCCC">
</HeaderStyle>
</asp:BoundColumn>
<asp:BoundColumn DataField="JobTitle" HeaderText="Title">
<HeaderStyle BackColor="#33CCCC">
</HeaderStyle>
</asp:BoundColumn>
<asp:BoundColumn DataField="Chief" HeaderText="Chief">
<HeaderStyle BackColor="#33CCCC">
</HeaderStyle>
</asp:BoundColumn>
<asp:ButtonColumn Text="Remove" ButtonType="PushButton" CommandName="Delete"></asp:ButtonColumn>
</Columns>
				</asp:datagrid></P>
			<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False" Font-Size="Larger"></asp:label><asp:label id="ConfirmationMessage" runat="server" ForeColor="Green" EnableViewState="False" Font-Size="Larger"></asp:label></P>
			<P align="center"></P>
			<P align="center">
				<TABLE id="Table1" cellSpacing="0" cellPadding="3" border="0">
					<TBODY>
						<TR>
							<TD colSpan="4">
								<P align="center">Enter a <U>N</U>ew Staff Member:
									<asp:button id="NewButton" accessKey="N" runat="server" DESIGNTIMEDRAGDROP="1008" Text="New" ToolTip="Allows you to add a new staff member record."></asp:button></P>
							</TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" colSpan="4">
								<H4 align="center">Staff Master Record</H4>
							</TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" colSpan="4">
								<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
							</TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right"><asp:label id="NewLabel" runat="server" Visible="False">Select Existing User to Add:</asp:label><asp:label id="CurrentLabel" runat="server" Visible="False">Record Id:</asp:label></P>
							</TD>
							<TD style="WIDTH: 149px; HEIGHT: 14px" bgColor="#c0c0c0"><asp:dropdownlist id="UserList" accessKey="I" runat="server" Visible="False" AutoPostBack="True"></asp:dropdownlist><asp:label id="RecordLabel" runat="server" Visible="False">Id</asp:label></TD>
							<TD style="WIDTH: 257px" bgColor="#c0c0c0">
								<P align="right"><asp:label id="CreateLabel" runat="server" Visible="False">  or Create a New User:</asp:label></P>
							</TD>
							<TD style="HEIGHT: 14px" bgColor="#c0c0c0"><asp:button id="CreateButton" runat="server" Text="Create" Visible="False" ToolTip="Allows you to create a new staff member."></asp:button></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right"><FONT color="red"><STRONG>*</STRONG></FONT><U>L</U>ast Name<STRONG>:</STRONG>
								</P>
							</TD>
							<TD style="WIDTH: 149px; HEIGHT: 14px" bgColor="#c0c0c0"><asp:textbox id="LastNameText" accessKey="L" runat="server" ToolTip="Enter the staff members last name. Up to 30 characters are allowed." MaxLength="30" Enabled="False"></asp:textbox></TD>
							<TD style="WIDTH: 257px" bgColor="#c0c0c0">
								<P align="right"><FONT color="red"><STRONG>*</STRONG></FONT><U>F</U>irst Name<STRONG>:</STRONG></P>
							</TD>
							<TD style="HEIGHT: 14px" bgColor="#c0c0c0"><asp:textbox id="FirstNameText" accessKey="F" runat="server" ToolTip="Enter the staff members first name. Up to 30 characters are allowed." MaxLength="30" Enabled="False"></asp:textbox></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" style="HEIGHT: 38px">
								<P align="right"><U>M</U>iddle Name or Initials:</P>
							</TD>
							<TD style="WIDTH: 149px; HEIGHT: 38px" bgColor="#c0c0c0"><asp:textbox id="MiddleNameText" accessKey="M" runat="server" ToolTip="Enter the staff members middle name or initial. Up to 20 characters are allowed." MaxLength="20" Enabled="False"></asp:textbox></TD>
							<TD style="WIDTH: 257px; HEIGHT: 38px" bgColor="#c0c0c0">
								<P align="right">Nic<U>k</U>Name:</P>
							</TD>
							<TD bgColor="#c0c0c0" style="HEIGHT: 38px"><asp:textbox id="NickNameText" accessKey="K" runat="server" ToolTip="Enter the staff members nickname, if one exists. Up to 20 characters are allowed." MaxLength="20" Enabled="False"></asp:textbox></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right">Position Start <U>D</U>ate:</P>
							</TD>
							<TD style="WIDTH: 149px" bgColor="#c0c0c0"><VHAVTK:VTKCOMPOSITEDATE id="StartDate" runat="server"></VHAVTK:VTKCOMPOSITEDATE></TD>
							<TD style="WIDTH: 257px" bgColor="#c0c0c0">
								<P align="right"><U>S</U>ex:</P>
							</TD>
							<TD bgColor="#c0c0c0"><asp:radiobuttonlist id="SexList" accessKey="S" runat="server" Enabled="False" RepeatDirection="Horizontal">
									<asp:ListItem Value="M">Male</asp:ListItem>
									<asp:ListItem Value="F">Female</asp:ListItem>
								</asp:radiobuttonlist></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right"><U>G</U>rade:</P>
							</TD>
							<TD style="WIDTH: 149px" bgColor="#c0c0c0"><asp:textbox id="GradeText" accessKey="F" runat="server" ToolTip="Enter the staff members grade level. 1 to 6 characters. " MaxLength="6" Enabled="False"></asp:textbox></TD>
							<TD style="WIDTH: 257px" bgColor="#c0c0c0">
								<P align="right">Job <U>T</U>itle:</P>
							</TD>
							<TD bgColor="#c0c0c0"><asp:dropdownlist id="JobTitleList" accessKey="T" runat="server" Enabled="False"></asp:dropdownlist></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right"><U>E</U>-Mail Address:</P>
							</TD>
							<TD style="WIDTH: 149px" bgColor="#c0c0c0"><asp:textbox id="EMailText" runat="server" ToolTip="Enter the staff members e-mail address. Up to 50 characters are allowed." MaxLength="50" Enabled="False"></asp:textbox></TD>
							<TD style="WIDTH: 257px" bgColor="#c0c0c0">
								<P align="right"><U>C</U>hief of Voluntary:</P>
							</TD>
							<TD bgColor="#c0c0c0"><asp:checkbox id="ChiefCheckBox" accessKey="C" runat="server" Text="Yes" Enabled="False"></asp:checkbox></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right">&nbsp;P<U>r</U>ogram:</P>
							</TD>
							<TD style="WIDTH: 149px" bgColor="#c0c0c0">
								<P align="left"><asp:dropdownlist id="ProgramList" runat="server" Enabled="False" accessKey="R"></asp:dropdownlist></P>
							</TD>
							<TD style="WIDTH: 257px" bgColor="#c0c0c0">
								<P align="right"><U>V</U>ISN Liaison:</P>
							</TD>
							<TD bgColor="#c0c0c0"><asp:checkbox id="LiasonCheckBox" accessKey="V" runat="server" Text="Yes" Enabled="False"></asp:checkbox></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right"><FONT color="red">*</FONT></STRONG></FONT>Insert after R<U>o</U>w:</P>
							</TD>
							<TD style="WIDTH: 149px" bgColor="#c0c0c0">
								<P align="left"><asp:dropdownlist id="RowList" accessKey="O" runat="server" Enabled="False">
										<asp:ListItem Value="-1">Row</asp:ListItem>
										<asp:ListItem Value="0">0</asp:ListItem>
										<asp:ListItem Value="1">1</asp:ListItem>
										<asp:ListItem Value="2">2</asp:ListItem>
										<asp:ListItem Value="3">3</asp:ListItem>
										<asp:ListItem Value="4">4</asp:ListItem>
										<asp:ListItem Value="5">5</asp:ListItem>
										<asp:ListItem Value="6">6</asp:ListItem>
										<asp:ListItem Value="7">7</asp:ListItem>
										<asp:ListItem Value="8">8</asp:ListItem>
										<asp:ListItem Value="9">9</asp:ListItem>
										<asp:ListItem Value="10">10</asp:ListItem>
										<asp:ListItem Value="11">11</asp:ListItem>
										<asp:ListItem Value="12">12</asp:ListItem>
										<asp:ListItem Value="13">13</asp:ListItem>
										<asp:ListItem Value="14">14</asp:ListItem>
										<asp:ListItem Value="15">15</asp:ListItem>
										<asp:ListItem Value="16">16</asp:ListItem>
										<asp:ListItem Value="17">17</asp:ListItem>
										<asp:ListItem Value="18">18</asp:ListItem>
										<asp:ListItem Value="19">19</asp:ListItem>
										<asp:ListItem Value="20">20</asp:ListItem>
									</asp:dropdownlist></P>
							</TD>
							<TD style="WIDTH: 257px" bgColor="#c0c0c0">
								<P align="right">&nbsp;</P>
							</TD>
							<TD bgColor="#c0c0c0"></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" colSpan="4">
								<P align="center">Co<U>m</U>ments:</P>
								<P align="center">&nbsp;
									<asp:textbox id="CommentText" accessKey="M" runat="server" ToolTip="1 to 250 characters" MaxLength="250" TextMode="MultiLine" Height="53px" Width="567px"></asp:textbox></P>
							</TD>
						</TR>
					</TBODY>
				</TABLE>
			</P>
			<P align="center"><asp:button id="PostButton" accessKey="P" runat="server" Text="Post" Enabled="False" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;
				<asp:button id="DeleteButton" accessKey="L" runat="server" Text="Delete" Enabled="False" ToolTip="Deletes the selected record."></asp:button>&nbsp;&nbsp;
				<INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton" accessKey="X" title="Exits the current screen and displays the initial VSS screen.">&nbsp;&nbsp;
				<asp:button id="PreviousButton" accessKey="I" runat="server" Text="Service Information" Height="25px" Width="140px" ToolTip="Returns you to the Voluntary Service screen."></asp:button></P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
