<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="UserTitlesEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.UserTitlesEdit" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>UserTitlesEdit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<DIV align="center">
			<form id="UserTitlesEdit" method="post" runat="server">
				<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
				<H3 align="center">
					Staff Titles</H3>
				<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Size="Larger" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label><asp:label id="ConfirmationMessage" runat="server" Font-Size="Larger" ForeColor="Green" EnableViewState="False"></asp:label></P>
				<P align="center">
					<TABLE id="Table1" cellSpacing="0" cellPadding="3" border="0">
						<TR>
							<TD>
								<P align="right">Edit an&nbsp;Existing&nbsp;<U>T</U>itle:</P>
							</TD>
							<TD><asp:dropdownlist id="TitleList" runat="server" accessKey="T"></asp:dropdownlist>&nbsp;&nbsp;
								<asp:button id="EditButton" runat="server" Text="Edit" accessKey="I" ToolTip="Displays the selected staff title record. Only local staff title records are editable from this screen."></asp:button></TD>
						</TR>
						<TR>
							<TD>
								<P align="right">or&nbsp;Create a&nbsp;<U>N</U>ew&nbsp;Title:</P>
							</TD>
							<TD><asp:button id="NewButton" runat="server" Text="New" accessKey="N" ToolTip="Allows you to add a new staff title record."></asp:button></TD>
						</TR>
						<TR>
							<TD colSpan="2">
								<HR style="WIDTH: 100%" width="251.57%" SIZE="2">
							</TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0"><FONT color="red">(*) fields are required!</FONT></TD>
							<TD bgColor="#c0c0c0">
								<P align="right">&nbsp;</P>
							</TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right">Current Record:</P>
							</TD>
							<TD bgColor="#c0c0c0"><asp:label id="RecordIdLabel" runat="server"></asp:label></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right"><FONT color="red">*</FONT><FONT color="black">Tit<U>l</U></FONT>e:</P>
							</TD>
							<TD bgColor="#c0c0c0"><asp:textbox id="TitleText" runat="server" MaxLength="30" ToolTip="Enter the staff title." accessKey="L"></asp:textbox><asp:label id="TitleLabel" runat="server"></asp:label></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0">
								<P align="right"><U>D</U>escription:</P>
							</TD>
							<TD bgColor="#c0c0c0"><asp:textbox id="DescriptionText" runat="server" Height="74px" Width="348px" TextMode="MultiLine" MaxLength="250" ToolTip="Enter the description for the staff title. Up to 250 characters are allowed." accessKey="D"></asp:textbox></TD>
						</TR>
						<TR>
							<TD bgColor="#c0c0c0" colSpan="2">
								<P align="center">&nbsp;</P>
							</TD>
						</TR>
						<TR>
							<TD colSpan="2">
								<P align="center"><asp:button id="PostButton" runat="server" Text="Post" Enabled="False" accessKey="P" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;&nbsp;
									<INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton" accessKey="X" title="Exits the current screen and displays the initial VSS screen."></P>
							</TD>
						</TR>
					</TABLE>
				</P>
				<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
			</form>
		</DIV>
	</body>
</HTML>
