<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Page language="c#" Codebehind="GamesMultipleDayEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.Games.GamesMultipleDayEdit" %>
<%@ Register TagPrefix="uc1" TagName="VolunteerChooserControl" Src="../Volunteer/VolunteerChooserControl.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML XMLNS:Vha>
	<HEAD>
		<title>Post Time Sheet: Multiple Days, Single Volunteer</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<FORM id="GamesMultipleDayEdit" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">Multiple&nbsp;Days Hours&nbsp;
			</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True"
					Font-Size="Larger"></asp:label><asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green"></asp:label></P>
			<P align="center"><asp:datagrid id="GamesList" runat="server" Font-Bold="True" HorizontalAlign="Center" Visible="False"
					Width="591px" AutoGenerateColumns="False" DESIGNTIMEDRAGDROP="420">
					<HeaderStyle Font-Size="Smaller" Font-Names="Verdana" Font-Bold="True" ForeColor="White" VerticalAlign="Middle"
						BackColor="Navy"></HeaderStyle>
					<Columns>
						<asp:BoundColumn Visible="False" DataField="HostInstitutionId" HeaderText="Host Station"></asp:BoundColumn>
						<asp:BoundColumn Visible="False" DataField="GameTypeId" HeaderText="Game Type"></asp:BoundColumn>
						<asp:BoundColumn Visible="False" DataField="ID"></asp:BoundColumn>
						<asp:BoundColumn DataField="HostInstitutionName" HeaderText="Host Institution"></asp:BoundColumn>
						<asp:BoundColumn DataField="GameTypeName" HeaderText="Game Type"></asp:BoundColumn>
						<asp:BoundColumn DataField="StartDate" HeaderText="Start Date" DataFormatString="{0:d}"></asp:BoundColumn>
						<asp:BoundColumn DataField="EndDate" HeaderText="End Date" DataFormatString="{0:d}"></asp:BoundColumn>
						<asp:BoundColumn Visible="False" DataField="GameCode" HeaderText="GameCode"></asp:BoundColumn>
						<asp:EditCommandColumn ButtonType="PushButton" UpdateText="" CancelText="" EditText="Select"></asp:EditCommandColumn>
					</Columns>
				</asp:datagrid></P>
			<P align="center">
			<P><asp:panel id="GameVolunteersPanel" runat="server" HorizontalAlign="Center" Width="742px" Height="251px"></P>
			<H4>Current Registered Volunteers</H4>
			<P><asp:panel id="SearchPanel" runat="server" Width="594px" Height="43px"></P>
			<P>Search&nbsp;by
				<asp:dropdownlist id="SearchOptionList" tabIndex="1" runat="server">
					<asp:ListItem Value="FullNameForReports">Name</asp:ListItem>
					<asp:ListItem Value="SocialSecurityNumber">SSN</asp:ListItem>
					<asp:ListItem Value="NameOfInstitution">Station</asp:ListItem>
				</asp:dropdownlist>&nbsp;for
				<asp:textbox id="SearchText" tabIndex="2" runat="server"></asp:textbox>&nbsp;
				<asp:button id="SearchButton" tabIndex="3" runat="server" Text="Search"></asp:button>&nbsp;&nbsp;
				<asp:button id="ResetButton" tabIndex="4" runat="server" Text="Reset"></asp:button></P>
			<P></asp:panel></P>
			<P>
				<DIV align="center"><asp:datagrid id="GameVolunteersGrid" tabIndex="5" runat="server" HorizontalAlign="Center" Width="599px"
						AutoGenerateColumns="False" AllowSorting="True" BorderStyle="Solid" AllowPaging="True">
						<SelectedItemStyle BackColor="Highlight"></SelectedItemStyle>
						<AlternatingItemStyle BackColor="Silver"></AlternatingItemStyle>
						<HeaderStyle Font-Bold="True" Wrap="False" ForeColor="White" VerticalAlign="Middle" BackColor="Navy"></HeaderStyle>
						<Columns>
							<asp:BoundColumn Visible="False" DataField="Id" HeaderText="Id"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="VolunteerId" HeaderText="VolunteerId"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="StationId" HeaderText="VolStationId"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="StationProfileId" HeaderText="VolProfileId"></asp:BoundColumn>
							<asp:EditCommandColumn ButtonType="PushButton" UpdateText="Update" CancelText="" EditText="Select"></asp:EditCommandColumn>
							<asp:BoundColumn DataField="FullNameForReports" HeaderText="Name"></asp:BoundColumn>
							<asp:BoundColumn DataField="SocialSecurityNumber" HeaderText="SSN"></asp:BoundColumn>
							<asp:BoundColumn DataField="NameOfInstitution" HeaderText="Station"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="VAEmployee" HeaderText="VAEmployee"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="VAEmployeeStatus" HeaderText="VAEmployeeStatus"></asp:BoundColumn>
						</Columns>
						<PagerStyle Visible="False" NextPageText="" Height="2px" PrevPageText="" Position="TopAndBottom"></PagerStyle>
					</asp:datagrid>
					<P><asp:panel id="PagerPanel" runat="server" Width="599px" Height="38px">
							<TABLE id="Table1" style="WIDTH: 590px; HEIGHT: 34px" cellSpacing="0" cellPadding="0" border="0">
								<TR>
									<TD>
										<asp:ImageButton id="FIRST" tabIndex="6" runat="server" CommandArgument="FIRST" ImageUrl="../Images/Paging/NAV_FIRST_67x18.gif"></asp:ImageButton></TD>
									<TD>
										<asp:ImageButton id="Previous" tabIndex="7" runat="server" CommandArgument="PREV" ImageUrl="../Images/Paging/NAV_PREV_67x18.gif"></asp:ImageButton></TD>
									<TD align="center"><STRONG>Page</STRONG>&nbsp;
										<asp:TextBox id="CurrentPage" tabIndex="8" runat="server" Width="22px"></asp:TextBox>&nbsp;<STRONG>of</STRONG>
										<asp:Label id="PageCount" tabIndex="-1" runat="server" Font-Size="X-Small" Font-Bold="True">Count</asp:Label>&nbsp;
										<asp:ImageButton id="GO" tabIndex="9" runat="server" CommandArgument="GO" ImageUrl="../Images/Paging/NAV_NEXT_67x18.gif"></asp:ImageButton></TD>
									<TD>
										<asp:ImageButton id="Next" tabIndex="10" runat="server" CommandArgument="NEXT" ImageUrl="../Images/Paging/NAV_NEXT_67x18.gif"
											ImageAlign="Right"></asp:ImageButton></TD>
									<TD>
										<asp:ImageButton id="LAST" tabIndex="11" runat="server" CommandArgument="LAST" ImageUrl="../Images/Paging/NAV_LAST_67x18.gif"
											ImageAlign="Right"></asp:ImageButton></TD>
								</TR>
							</TABLE>
						</asp:panel></P>
					<P><INPUT id="ExitButton" title="Exits the current screen and returns to the Edit Volunteer screen."
							accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value"
							type="button" size="25" value="Exit" name="ExitButton"></P>
				</DIV>
			</asp:panel>
			<P></P>
			<asp:panel id="EditPanel" runat="server" HorizontalAlign="Center" Width="800px" Height="128px">
				<TABLE style="WIDTH: 610px; HEIGHT: 494px" cellSpacing="0" cellPadding="3" align="center"
					border="0">
					<TR>
						<TD style="WIDTH: 536px" align="right" colSpan="2">
							<H4 align="center">&nbsp;&nbsp;&nbsp;Enter/Edit Time Sheet for
								<asp:label id="ChooseVolunteerLabel" runat="server"></asp:label></H4>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 267px" align="right" bgColor="#cccccc"><FONT color="red">(*) fields 
								are required!</FONT></TD>
						<TD style="WIDTH: 341px" bgColor="#cccccc"></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD style="WIDTH: 267px" align="right" bgColor="#cccccc"></TD>
						<TD style="WIDTH: 341px" bgColor="#cccccc">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
							VA Employee:
							<asp:Label id="IsVAEmployee" runat="server">Maybe</asp:Label></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD style="WIDTH: 267px" align="right" bgColor="#cccccc"><FONT color="#ff0000">*</FONT>
							<U>D</U>ate:
						</TD>
						<TD style="WIDTH: 341px" bgColor="#cccccc">
							<asp:dropdownlist id="DayList" accessKey="D" runat="server"></asp:dropdownlist>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Status:&nbsp;
							<asp:Label id="VAEmployeeStatus" runat="server">N/A</asp:Label>&nbsp;&nbsp;&nbsp;&nbsp;</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD style="WIDTH: 267px" align="right" bgColor="#cccccc"><FONT color="red">*</FONT> 
							Com<U>b</U>ination Code:
						</TD>
						<TD style="WIDTH: 341px" bgColor="#cccccc">
							<asp:dropdownlist id="CombinationList" accessKey="B" runat="server" Width="440px" Height="14px"></asp:dropdownlist></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD style="WIDTH: 267px" align="right" bgColor="#cccccc"><FONT color="#ff0000">*</FONT>
							<U>H</U>ours:
						</TD>
						<TD style="WIDTH: 341px" bgColor="#cccccc">
							<asp:dropdownlist id="HourList" accessKey="H" runat="server">
								<asp:ListItem Value="0" Selected="True">Hour</asp:ListItem>
								<asp:ListItem Value="1">1</asp:ListItem>
								<asp:ListItem Value="2">2</asp:ListItem>
								<asp:ListItem Value="3">3</asp:ListItem>
								<asp:ListItem Value="4">4</asp:ListItem>
								<asp:ListItem Value="5">5</asp:ListItem>
								<asp:ListItem Value="6">6</asp:ListItem>
								<asp:ListItem Value="7">7</asp:ListItem>
								<asp:ListItem Value="8">8</asp:ListItem>
								<asp:ListItem Value="9">9</asp:ListItem>
								<asp:ListItem Value="10">10</asp:ListItem>
								<asp:ListItem Value="11">11</asp:ListItem>
								<asp:ListItem Value="12">12</asp:ListItem>
							</asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 267px; HEIGHT: 33px" align="right">
							<P align="right">
								<asp:button id="PostButton" accessKey="P" runat="server" Text="Post" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;</P>
						</TD>
						<TD style="WIDTH: 341px; HEIGHT: 33px">
							<P align="left">&nbsp;
								<asp:button id="NewButton" accessKey="N" runat="server" Text="Clear" ToolTip="Clear data in order to add a New Time Sheet for the given Volunteer."></asp:button>&nbsp;&nbsp;
								<asp:button id="DeleteButton" accessKey="L" runat="server" Text="Delete" ToolTip="Deletes the selected record."
									Enabled="False"></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;
								<asp:button id="ChooseButton" accessKey="V" tabIndex="70" runat="server" Text="Exit" ToolTip="Allows you select another volunteer. "></asp:button></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 536px" align="center" colSpan="2">
							<H4>
								<HR style="WIDTH: 112.24%; HEIGHT: 2px" width="112.24%" SIZE="2">
							</H4>
							<H4>Current Time Sheets For
								<asp:label id="DataGridHeader" runat="server"> [volunteer]</asp:label></H4>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 536px" align="center" colSpan="2">
							<P align="center">
								<asp:datagrid id="TimeSheetDataGrid" accessKey="M" runat="server" AutoGenerateColumns="False"
									Width="579px" BackColor="WhiteSmoke">
									<Columns>
										<asp:ButtonColumn Text="Edit" ButtonType="PushButton" CommandName="Select"></asp:ButtonColumn>
										<asp:BoundColumn DataField="DateWorked" HeaderText="Date" DataFormatString="{0:d}">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn DataField="HoursWorked" HeaderText="Hours">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn DataField="OrganizationName" HeaderText="Organization">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn DataField="ServiceName" HeaderText="Service">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="VolunteerId" HeaderText="VolunteerID">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="StationId" HeaderText="StationId">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="OrganizationId" HeaderText="OrganizationId">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="ServiceId" HeaderText="ServiceId">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="ScheduleId" HeaderText="ScheduleId">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
									</Columns>
								</asp:datagrid></P>
						</TD>
					</TR>
				</TABLE>
			</asp:panel></FORM>
		<P>&nbsp;<asp:datagrid id="CombinationDataGrid" runat="server" Visible="False" AutoGenerateColumns="False"
				Enabled="False">
				<Columns>
					<asp:BoundColumn DataField="ID" HeaderText="Id"></asp:BoundColumn>
					<asp:BoundColumn DataField="OrganizationId" HeaderText="OrganizationId"></asp:BoundColumn>
					<asp:BoundColumn DataField="ScheduleId" HeaderText="ScheduleId"></asp:BoundColumn>
					<asp:BoundColumn DataField="BenefitingServiceId" HeaderText="BenefitingServiceId"></asp:BoundColumn>
				</Columns>
			</asp:datagrid></P>
		<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
	</body>
</HTML>
