<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="GamesServiceCodeEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.Games.GamesServiceCodeEdit" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>GamesServiceCodeEdit</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="GamesServiceCodeEdit" method="post" runat="server">
			<P><VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server"></VhaVtk:VtkPageHeader></P>
			<P align="center">
				<TABLE id="Table1" cellSpacing="1" cellPadding="1" width="100%" border="0">
					<TR>
						<TD align="middle">
							<H3>Games Service&nbsp;Codes
							</H3>
						</TD>
					</TR>
					<TR>
						<TD align="middle"><asp:label id="ErrorMessage" runat="server" ForeColor="Red" EnableViewState="False" Font-Bold="True" Font-Size="Larger"></asp:label><asp:label id="ConfirmationMessage" runat="server" ForeColor="Green" EnableViewState="False" Font-Bold="True" Font-Size="Larger"></asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<TABLE id="Table2" cellSpacing="0" cellPadding="3" width="border=1" align="center" border="0">
					<TR>
						<TD noWrap align="right">Edit an&nbsp;Existing Service C<U>o</U>de:
						</TD>
						<TD noWrap><asp:dropdownlist id="ServiceCodeList" accessKey="O" runat="server"></asp:dropdownlist><asp:button id="EditButton" accessKey="I" runat="server" ToolTip="Displays the selected organization record. Only local organization records (900-999) are editable from this screen." Text="Edit"></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						</TD>
					</TR>
					<TR>
						<TD noWrap align="right">or&nbsp;Generate a&nbsp;New <U>S</U>ervice Code
						</TD>
						<TD noWrap><asp:button id="NewButton" accessKey="N" runat="server" ToolTip="Allows you to add a new service record." Text="New"></asp:button></TD>
					</TR>
					<TR>
						<TD noWrap colSpan="2">
							<HR style="WIDTH: 100%" width="267.52%" SIZE="2">
							&nbsp;
						</TD>
					</TR>
					<TR>
						<TD noWrap align="right" bgColor="#c0c0c0">
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
						<TD noWrap bgColor="#c0c0c0"></TD>
					</TR>
					<TR>
						<TD noWrap align="right" bgColor="#c0c0c0">Current Record:</TD>
						<TD noWrap bgColor="#c0c0c0"><asp:Label id="RecordIdLabel" runat="server">none</asp:Label></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="#c0c0c0"><FONT color="red">* </FONT>Service <U>C</U>ode:
						</TD>
						<TD noWrap bgColor="#c0c0c0"><asp:textbox id="ServiceIdText" accessKey="C" runat="server" ToolTip="Enter a service code consisting of three digits.  It must be within the range of 600 to 699, inclusive. An alpha character will be added automatically when the record is posted." MaxLength="3" BackColor="White" Width="45px"></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="#c0c0c0"><FONT color="red">* </FONT>Na<U>m</U>e 
							of Service:
						</TD>
						<TD noWrap bgColor="#c0c0c0"><asp:textbox id="ServiceNameText" accessKey="M" runat="server" ToolTip="Enter the name of the service. Up to 22 characters are allowed. The last 4 characters should be a space and the Games initials." MaxLength="22" BackColor="White" DESIGNTIMEDRAGDROP="46" Width="287px"></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="#c0c0c0">Ab<U>b</U>reviation:
						</TD>
						<TD noWrap bgColor="#c0c0c0"><asp:textbox id="ServiceAbbreviationText" accessKey="B" runat="server" ToolTip="Enter the abbreviation for the service. Up to 7 characters are allowed." MaxLength="7" BackColor="White" Width="93px"></asp:textbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="#c0c0c0">Sub<U>d</U>ivision:
						</TD>
						<TD noWrap bgColor="#c0c0c0"><asp:textbox id="ServiceSubdivisionText" accessKey="D" runat="server" ToolTip="Enter the name of the services subdivision. Up to 12 characters are allowed." MaxLength="12" BackColor="White" Width="122px"></asp:textbox></TD>
					</TR>
					<TR>
						<TD noWrap>
							<P align="right"><asp:button id="PostButton" accessKey="P" runat="server" ToolTip="Saves the new or updated record." Text="Post" Enabled="False"></asp:button></P>
						</TD>
						<TD noWrap bgColor="white">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- <asp:button id="ExitButton" runat="server" Text="Exit" accessKey="X"></asp:button> --><INPUT id="ExitButton" title="Exits the current screen and displays the initial VSS screen." accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" size="25" value="Exit" name="ExitButton">
						</TD>
					</TR>
					<TR>
						<TD noWrap colSpan="2"></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center"><uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
