<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Page language="c#" Codebehind="NationalProgramsEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.National.NationalProgramsEdit" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>NationalProgramsEdit</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<form id="NationalProgramsEdit" method="post" runat="server">
			<P><VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader>
			</P>
			<P>
				<TABLE id="Table2" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="left" width="10%">&nbsp;
						</TD>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3>
								National Programs
							</H3>
						</TD>
						<TD vAlign="top" align="right" width="10%">&nbsp;
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="5">
							<asp:label id="ErrorMessage" runat="server" Font-Size="Larger" EnableViewState="False" ForeColor="Red" Font-Bold="True"></asp:label><asp:ValidationSummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:ValidationSummary>
							<asp:label id="ConfirmationMessage" runat="server" Font-Size="Larger" EnableViewState="False" ForeColor="Green"></asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<TABLE id="Table1" cellSpacing="0" cellPadding="3" border="0">
					<TR>
						<TD>
							<P align="right">Edit an&nbsp;Existing&nbsp;Program <U>C</U>ode:</P>
						</TD>
						<TD>
							<asp:DropDownList id="ProgramList" runat="server" accessKey="C"></asp:DropDownList>&nbsp;&nbsp;
							<asp:Button id="EditButton" runat="server" Text="Edit" ToolTip="Allows you to edit an existing program record."></asp:Button></TD>
					</TR>
					<TR>
						<TD>
							<P align="right">or&nbsp;Generate a&nbsp;<U>N</U>ew&nbsp;Program Code:
							</P>
						</TD>
						<TD>
							<asp:button id="NewButton" runat="server" Text="New" accessKey="N" ToolTip="Allows you to add a new program record."></asp:button></TD>
					</TR>
					<TR>
						<TD colSpan="2">
							<P>
								<HR style="WIDTH: 100%" width="251.57%" SIZE="2">
						</TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0"><FONT color="red">(*) fields are required!</FONT></TD>
						<TD bgColor="#c0c0c0">
							<P align="left">&nbsp;</P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right">Current Record:</P>
						</TD>
						<TD bgColor="#c0c0c0">
							<asp:Label id="ProgramIdLabel" runat="server">none</asp:Label></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right"><FONT color="red">*</FONT><U>C</U>ode:</P>
						</TD>
						<TD bgColor="#c0c0c0">
							<asp:TextBox id="CodeText" runat="server" accessKey="C" ToolTip="Enter the program code, a number between 1 and 99." MaxLength="2" Width="158px"></asp:TextBox><asp:RangeValidator id="RangeValidator1" runat="server" ErrorMessage="Code should be a digit number between 1 and 99." CssClass="Validator" MaximumValue="99" MinimumValue="1" ControlToValidate="CodeText">  !</asp:RangeValidator></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0">
							<P align="right"><FONT color="red">*</FONT>P<U>r</U>ogram Name:</P>
						</TD>
						<TD bgColor="#c0c0c0">
							<asp:TextBox id="NameText" runat="server" accessKey="R" ToolTip="Enter the name of the program. Up to 30 characters are allowed." MaxLength="30"></asp:TextBox></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0"></TD>
						<TD bgColor="#c0c0c0"></TD>
					</TR>
					<TR>
						<TD>
							<P align="right">
								<asp:button id="PostButton" runat="server" Text="Post" Enabled="False" accessKey="P" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;
							</P>
						</TD>
						<TD>&nbsp; <INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx'" type="button" value="Exit" name="ExitButton" accessKey="X" title="Returns you the initial VSS screen."></TD>
					</TR>
					<TR>
						<TD></TD>
						<TD></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
