<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="AddressLabels.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.AddressLabels" %>
<%@ Register TagPrefix="uc1" TagName="VolunteerChooserControl" Src="../Volunteer/VolunteerChooserControl.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body MS_POSITIONING="FlowLayout">
		<form id="AddressLabel" onsubmit="Set_Blank()" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<TABLE id="Table1" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
				<TR>
					<TD vAlign="top" align="middle" colSpan="3">
						<H3>Volunteer Address Labels&nbsp;
						</H3>
					</TD>
				</TR>
				<TR>
					<TD vAlign="top" align="middle" colSpan="3">
						<asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True" Font-Size="Larger"></asp:label></TD>
				</TR>
			</TABLE>
			<P><asp:customvalidator id="SelectByValidator" runat="server" ErrorMessage="CustomValidator" Display="None" ClientValidationFunction="Set_NoBlank" ControlToValidate="SelectBy"></asp:customvalidator></P>
			<P align="center"><asp:comparevalidator id="CompareValidator1" runat="server" Font-Bold="True" ErrorMessage="From Age cannot be greater than To Age." ControlToValidate="AgeRangeTo" Type="Integer" Operator="GreaterThanEqual" ControlToCompare="AgeRangeFrom"></asp:comparevalidator></P>
			<P align="center"><asp:customvalidator id="OrganizationServiceListValidator" runat="server" Font-Bold="True" ErrorMessage="Please Select an Organization or Service." ClientValidationFunction="Set_NoBlank" ControlToValidate="OrgSvcList"></asp:customvalidator></P>
			<P align="center"><uc1:volunteerchoosercontrol id="VolunteerChooserControl" runat="server" Visible="False"></uc1:volunteerchoosercontrol></P>
			<CENTER><asp:panel id="PrintPanel" runat="server" Width="640px" Height="120px">
					<TABLE id="Table2" style="WIDTH: 590px; HEIGHT: 434px" cellSpacing="3" cellPadding="3" border="0">
						<TR>
							<TD style="HEIGHT: 99px" vAlign="top" align="right">
								<P><STRONG></STRONG>&nbsp;</P>
								<P><STRONG>Select Station:</STRONG>
								</P>
							</TD>
							<TD style="HEIGHT: 99px" colSpan="2">
								<asp:listbox id="DivisionList" runat="server" Height="88px" Width="170px"></asp:listbox></TD>
						</TR>
						<TR>
							<TD vAlign="top" align="right"><STRONG>Select Labels&nbsp;By:</STRONG>
							</TD>
							<TD vAlign="top" noWrap align="left">
								<asp:dropdownlist id="SelectBy" runat="server" AutoPostBack="True">
									<asp:ListItem Value="Age Range">Age Range</asp:ListItem>
									<asp:ListItem Value="Birth Month">Birth Month</asp:ListItem>
									<asp:ListItem Value="Organization">Organization</asp:ListItem>
									<asp:ListItem Value="Service">Service</asp:ListItem>
									<asp:ListItem Value="Selected Volunteers">Selected Volunteers</asp:ListItem>
									<asp:ListItem Value="All">All Volunteers</asp:ListItem>
									<asp:ListItem Value="VAVS">All VAVS Reps</asp:ListItem>
								</asp:dropdownlist>&nbsp;
							</TD>
							<TD vAlign="top" noWrap align="left">
								<asp:panel id="AgeRangePanel" runat="server">From:&nbsp; 
<asp:DropDownList id="AgeRangeFrom" runat="server"></asp:DropDownList>&nbsp;&nbsp;to: 
<asp:DropDownList id="AgeRangeTo" runat="server"></asp:DropDownList></asp:panel></TD>
						</TR>
						<TR>
							<TD vAlign="top" align="right"></TD>
							<TD vAlign="top" noWrap align="left">
								<asp:dropdownlist id="BirthMonthList" runat="server" Visible="False">
									<asp:ListItem Value="1">January</asp:ListItem>
									<asp:ListItem Value="2">February</asp:ListItem>
									<asp:ListItem Value="3">March</asp:ListItem>
									<asp:ListItem Value="4">April</asp:ListItem>
									<asp:ListItem Value="5">May</asp:ListItem>
									<asp:ListItem Value="6">June</asp:ListItem>
									<asp:ListItem Value="7">July</asp:ListItem>
									<asp:ListItem Value="8">August</asp:ListItem>
									<asp:ListItem Value="9">September</asp:ListItem>
									<asp:ListItem Value="10">October</asp:ListItem>
									<asp:ListItem Value="11">November</asp:ListItem>
									<asp:ListItem Value="12">December</asp:ListItem>
								</asp:dropdownlist>
								<INPUT id="VolButton" title="Choose a Volunteer to add to list for displaying Address information." style="WIDTH: 120px" onclick="Set_NoBlankWithPost('VolButton');" type="button" value="Choose Volunteer" name="VolButton" runat="server"></TD>
							<TD vAlign="top" noWrap align="left"></TD>
						</TR>
						<TR>
							<TD vAlign="top" align="right"></TD>
							<TD colSpan="2">
								<asp:listbox id="VolunteerList" runat="server" Visible="False" Enabled="False" Rows="12"></asp:listbox>
								<asp:dropdownlist id="OrgSvcList" runat="server" Visible="False"></asp:dropdownlist></TD>
						</TR>
						<TR>
							<TD vAlign="top" align="right"><STRONG>Print Format:</STRONG>
							</TD>
							<TD colSpan="2">
								<TABLE id="Table3" cellSpacing="0" cellPadding="0" border="0">
									<TR>
										<TD vAlign="center">
											<asp:radiobuttonlist id="PrintFormatList" runat="server">
												<asp:ListItem Value="Web" Selected="True">Web</asp:ListItem>
												<asp:ListItem Value="Acrobat">Acrobat</asp:ListItem>
												<asp:ListItem Value="Excel">Excel</asp:ListItem>
												<asp:ListItem Value="Word">Word</asp:ListItem>
											</asp:radiobuttonlist></TD>
										<TD>&nbsp;
											<asp:button id="PrintButton" runat="server" Font-Bold="True" Height="40px" Width="80px" Text="Display" ToolTip="Displays the report in the format of your choice."></asp:button></TD>
									</TR>
								</TABLE>
							</TD>
						</TR>
					</TABLE>
				</asp:panel></CENTER>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
