<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="AwardsProcessedReport.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.AwardsProcessedReport" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>AwardsProcessedReport</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="AwardsProcessedReport" method="post" target="_blank" runat="server">
			<P>
				<VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader></P>
			<P>
				<TABLE id="Table1" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3>Awards Processed Report
							</H3>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<asp:Label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:Label></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<TABLE id="Table2" style="WIDTH: 585px; HEIGHT: 367px" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD vAlign="top" align="right">
							<P><STRONG></STRONG>&nbsp;</P>
							<P><STRONG>Select Station(s):</STRONG>
							</P>
						</TD>
						<TD>
							<asp:ListBox id="DivisionList" runat="server" Width="174px" SelectionMode="Multiple"></asp:ListBox>&nbsp;
							<asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" Font-Bold="True" ErrorMessage="!" Font-Size="X-Large" ControlToValidate="DivisionList"></asp:RequiredFieldValidator></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"><STRONG>Begin Date:</STRONG></TD>
						<TD>
							<asp:textbox id="txtDateBegin" runat="server" Width="95px"></asp:textbox>&nbsp; <INPUT title="Press to Use Calendar for setting Date." style="FONT-WEIGHT: bold" onclick="document.forms(0).txtDateBegin.value=OpenDialog('../Utility/Calendar.aspx', 200, 188, 'txtDateBegin');" type="button" value="Calendar">&nbsp;
							<asp:RangeValidator id="BeginDateRangeValidator" runat="server" Font-Bold="True" ErrorMessage="Not a valid Date." ControlToValidate="txtDateBegin" Type="Date" MaximumValue="12/31/9999" MinimumValue="1/1/1900"></asp:RangeValidator></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right">
							<P><STRONG>End Date:</STRONG></P>
						</TD>
						<TD>
							<asp:textbox id="txtDateEnd" runat="server" Width="95px"></asp:textbox>&nbsp; <INPUT title="Press to Use Calendar for setting Date." style="FONT-WEIGHT: bold" onclick="document.forms(0).txtDateEnd.value=OpenDialog('../Utility/Calendar.aspx', 200, 188, 'txtDateEnd');" type="button" value="Calendar">&nbsp;
							<asp:RangeValidator id="EndDateRangeValidator" runat="server" Font-Bold="True" ErrorMessage="Not a valid Date." ControlToValidate="txtDateEnd" Type="Date" MaximumValue="12/31/9999" MinimumValue="1/1/1900"></asp:RangeValidator></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"></TD>
						<TD>
							<asp:comparevalidator id="BeginEndDateValidator" runat="server" Font-Bold="True" ErrorMessage="End Date must be greater than or equal to Begin Date." ControlToValidate="txtDateEnd" Type="Date" ControlToCompare="txtDateBegin" Operator="GreaterThanEqual"></asp:comparevalidator></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"><STRONG>Print Labels:</STRONG></TD>
						<TD>
							<asp:RadioButtonList id="PrintLabelsRadioButtonList1" runat="server" Width="118px" RepeatDirection="Horizontal">
								<asp:ListItem Value="No" Selected="True">No</asp:ListItem>
								<asp:ListItem Value="Yes">Yes</asp:ListItem>
							</asp:RadioButtonList></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right">
							<P><STRONG></STRONG>&nbsp;</P>
							<P><STRONG>Print Format:</STRONG>
							</P>
						</TD>
						<TD>
							<TABLE id="Table3" cellSpacing="0" cellPadding="0" border="0">
								<TR>
									<TD vAlign="center">
										<asp:RadioButtonList id="PrintFormatList" runat="server">
											<asp:ListItem Value="Web" Selected="True">Web</asp:ListItem>
											<asp:ListItem Value="Acrobat">Acrobat</asp:ListItem>
											<asp:ListItem Value="Excel">Excel</asp:ListItem>
											<asp:ListItem Value="Word">Word</asp:ListItem>
										</asp:RadioButtonList></TD>
									<TD>&nbsp;
										<asp:Button id="PrintButton" runat="server" Font-Bold="True" Width="80px" Height="40px" Text="Display"></asp:Button></TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
