<%@ Page language="c#" Codebehind="DailyVolunteerList.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.DailyVolunteerList" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>DailyVolunteerList</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<form id="DailyVolunteerList" method="post" runat="server" onSubmit="Set_Blank()">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<P>&nbsp;</P>
			<P>
				<table id="Table1" cellPadding="0" width="100%" align="center" border="0" cellSpacing="0">
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3>Daily Volunteer List
							</H3>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label></TD>
					</TR>
				</table>
			</P>
			<P>&nbsp;</P>
			<P align="center">
				<TABLE id="Table2" style="WIDTH: 624px; HEIGHT: 409px" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD vAlign="top" align="right">
							<P><STRONG></STRONG>&nbsp;</P>
							<P><STRONG>Select Station: </STRONG>
							</P>
						</TD>
						<TD align="left">
							<asp:listbox id="DivisionList" runat="server" Width="170px"></asp:listbox></TD>
					</TR>
					<TR>
						<TD align="right"><STRONG>Begin Date:</STRONG>
						</TD>
						<TD>
							<asp:textbox id="txtDateBegin" runat="server" Width="95px"></asp:textbox>&nbsp; <INPUT title="Press to Use Calendar for setting Date." style="FONT-WEIGHT: bold" onclick="document.forms(0).txtDateBegin.value=OpenDialog('../Utility/Calendar.aspx', 200, 188, 'txtDateBegin');" type="button" value="Calendar">&nbsp;
							<asp:RangeValidator id="BeginDateRangeValidator" runat="server" Font-Bold="True" ErrorMessage="Not a valid Date." ControlToValidate="txtDateBegin" Type="Date" MaximumValue="12/31/9999" MinimumValue="1/1/1900"></asp:RangeValidator></TD>
					</TR>
					<TR>
						<TD align="right"><STRONG>End Date: </STRONG>
						</TD>
						<TD>
							<asp:textbox id="txtDateEnd" runat="server" Width="95px"></asp:textbox>&nbsp; <INPUT title="Press to Use Calendar for setting Date." style="FONT-WEIGHT: bold" onclick="document.forms(0).txtDateEnd.value=OpenDialog('../Utility/Calendar.aspx', 200, 188, 'txtDateEnd');" type="button" value="Calendar">&nbsp;
							<asp:RangeValidator id="EndDateRangeValidator" runat="server" Font-Bold="True" ErrorMessage="Not a valid Date." ControlToValidate="txtDateEnd" Type="Date" MaximumValue="12/31/9999" MinimumValue="1/1/1900"></asp:RangeValidator></TD>
					</TR>
					<TR>
						<TD align="right"></TD>
						<TD>
							<asp:comparevalidator id="BeginEndDateValidator" runat="server" Font-Bold="True" ErrorMessage="End Date must be greater than or equal to Begin Date." ControlToValidate="txtDateEnd" ControlToCompare="txtDateBegin" Operator="GreaterThanEqual" Type="Date"></asp:comparevalidator></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right">
							<P><STRONG></STRONG>&nbsp;</P>
							<P><STRONG>Print Format:</STRONG>
							</P>
						</TD>
						<TD>
							<TABLE id="Table3" cellSpacing="0" cellPadding="0" border="0">
								<TR>
									<TD vAlign="center">
										<asp:radiobuttonlist id="PrintFormatList" runat="server">
											<asp:ListItem Value="Web" Selected="True">Web</asp:ListItem>
											<asp:ListItem Value="Acrobat">Acrobat</asp:ListItem>
											<asp:ListItem Value="Excel">Excel</asp:ListItem>
											<asp:ListItem Value="Word">Word</asp:ListItem>
										</asp:radiobuttonlist></TD>
									<TD vAlign="center">&nbsp;
										<asp:button id="PrintButton" runat="server" Font-Bold="True" Width="80px" Height="40px" Text="Display"></asp:button></TD>
								</TR>
							</TABLE>
							<BR>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
