<%@ Page language="c#" Codebehind="OccHoursByOrganization.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.OccHoursByOrganization" EnableSessionState="ReadOnly" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<TITLE>Organization Hours Report by Selected Organization</TITLE>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body MS_POSITIONING="FlowLayout">
		<form id="RptSummarySheet" onsubmit="Set_Blank()" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<TABLE cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
				<TR>
					<TD vAlign="top" align="middle" colSpan="3">
						<H3>Occasional Hours&nbsp;By&nbsp;Organization
						</H3>
					</TD>
				</TR>
				<TR>
					<TD vAlign="top" align="middle" colSpan="3"><asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True"></asp:label></TD>
				</TR>
			</TABLE>
			<P>&nbsp;</P>
			<P align="center">
				<TABLE style="WIDTH: 624px; HEIGHT: 568px" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD vAlign="top" align="right">
							<P><STRONG> </STRONG>&nbsp;</P>
							<P><STRONG>Select Station: </STRONG>
							</P>
						</TD>
						<TD align="left"><asp:listbox id="DivisionList" runat="server" Width="170px" AutoPostBack="True"></asp:listbox></TD>
					</TR>
					<TR>
						<TD align="right"><STRONG>Begin Month/Year:</STRONG>
						</TD>
						<TD><asp:dropdownlist id="BegMonthYearList" runat="server" Width="126px"></asp:dropdownlist>&nbsp;</TD>
					</TR>
					<TR>
						<TD align="right"><STRONG>End Month/Year: </STRONG>
						</TD>
						<TD><asp:dropdownlist id="EndMonthYearList" runat="server" Width="126px"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD align="right"></TD>
						<TD><asp:comparevalidator id="BeginEndDateValidator" runat="server" Font-Bold="True" ErrorMessage="End Date must be greater than or equal to Begin Date." Type="Date" Operator="GreaterThanEqual" ControlToCompare="BegMonthYearList" ControlToValidate="EndMonthYearList"></asp:comparevalidator></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right" colSpan="2">
							<DIV align="center">
								<TABLE id="Table4" style="WIDTH: 516px; HEIGHT: 219px" cellSpacing="3" cellPadding="3" align="center" bgColor="gainsboro" border="0">
									<TR>
										<TD style="WIDTH: 183px">
											<P><U>Available Organizations</U>
											</P>
										</TD>
										<TD style="WIDTH: 111px"><asp:requiredfieldvalidator id="OrgListBoxValidator" runat="server" Font-Bold="True" ErrorMessage="Select an Organization." Width="149px" ControlToValidate="SelectedOrgListBox"></asp:requiredfieldvalidator></TD>
										<TD><U>Selected Organizations</U>
										</TD>
									</TR>
									<TR>
										<TD style="WIDTH: 183px"><asp:listbox id="OrganizationListBox" runat="server" Rows="10" SelectionMode="Multiple"></asp:listbox></TD>
										<TD style="WIDTH: 111px">
											<P align="center"><INPUT id="btnAddAll" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('AddAll');" type="button" size="20" value="      Add All=>" name="btnAddAll"></P>
											<P><INPUT id="btnAdd" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('Add');" type="button" size="20" value="          Add =>" name="btnAdd"></P>
											<P><INPUT id="btnRemove" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('Remove');" type="button" value="     <= Remove" name="btnRemove"></P>
											<P><INPUT id="btnRemoveAll" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('RemoveAll');" type="button" value="<= Remove All" name="btnRemoveAll"></P>
										</TD>
										<TD><asp:listbox id="SelectedOrgListBox" runat="server" Rows="10" SelectionMode="Multiple"></asp:listbox></TD>
									</TR>
								</TABLE>
							</DIV>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"><STRONG>Print Format:</STRONG>
						</TD>
						<TD>
							<TABLE cellSpacing="0" cellPadding="0" border="0">
								<TR>
									<TD vAlign="center"><asp:radiobuttonlist id="PrintFormatList" runat="server">
											<asp:ListItem Value="Web" Selected="True">Web</asp:ListItem>
											<asp:ListItem Value="Acrobat">Acrobat</asp:ListItem>
											<asp:ListItem Value="Excel">Excel</asp:ListItem>
											<asp:ListItem Value="Word">Word</asp:ListItem>
										</asp:radiobuttonlist></TD>
									<TD vAlign="center">&nbsp;
										<asp:button id="PrintButton" runat="server" Font-Bold="True" Width="80px" Text="Display" Height="40px"></asp:button></TD>
								</TR>
							</TABLE>
							<BR>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
