<%@ Page language="c#" Codebehind="PotentialAwards.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.PotentialAwards" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Potential Awards Report</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript (ECMAScript)">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body MS_POSITIONING="FlowLayout">
		<form id="PotentialAward" method="post" target="_blank" runat="server">
			<P>
				<VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader>
			</P>
			<TABLE cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
				<TR>
					<TD vAlign="top" align="middle" colSpan="3">
						<H3>
							Potential Awards Report
						</H3>
					</TD>
				</TR>
				<TR>
					<TD vAlign="top" align="middle" colSpan="3">
						<asp:Label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:Label>
					</TD>
				</TR>
			</TABLE>
			<P align="center">
				<TABLE cellSpacing="3" cellPadding="3" border="0" style="WIDTH: 439px; HEIGHT: 367px">
					<TR>
						<TD vAlign="top" align="right">
							<P>
								<STRONG></STRONG>&nbsp;</P>
							<P><STRONG>Select Station(s):</STRONG>
							</P>
						</TD>
						<TD>
							<asp:ListBox id="DivisionList" runat="server" Width="174px" SelectionMode="Multiple"></asp:ListBox>&nbsp;
							<asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" Font-Bold="True" ErrorMessage="!" Font-Size="X-Large" ControlToValidate="DivisionList"></asp:RequiredFieldValidator>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"><STRONG>End Date&nbsp;of Award:</STRONG></TD>
						<TD>
							<asp:DropDownList id="BegMonthYearList" runat="server" Width="126px"></asp:DropDownList></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right">
							<P>
								<STRONG></STRONG>&nbsp;</P>
							<P><STRONG>Include:</STRONG>
							</P>
						</TD>
						<TD>
							<asp:RadioButtonList id="AdultYouthList" runat="server">
								<asp:ListItem Value="A" Selected="True">Adult</asp:ListItem>
								<asp:ListItem Value="Y">Youth</asp:ListItem>
								<asp:ListItem Value="B">Both</asp:ListItem>
							</asp:RadioButtonList>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"><STRONG>Show Terminated:</STRONG></TD>
						<TD>
							<asp:RadioButtonList id="ShowTerminatedRadioButtonList1" runat="server" Width="118px" RepeatDirection="Horizontal">
								<asp:ListItem Value="No" Selected="True">No</asp:ListItem>
								<asp:ListItem Value="Yes">Yes</asp:ListItem>
							</asp:RadioButtonList></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right"><STRONG>Print Labels:</STRONG></TD>
						<TD>
							<asp:RadioButtonList id="PrintLabelsRadioButtonList1" runat="server" Width="118px" RepeatDirection="Horizontal">
								<asp:ListItem Value="No" Selected="True">No</asp:ListItem>
								<asp:ListItem Value="Yes">Yes</asp:ListItem>
							</asp:RadioButtonList></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right">
							<P>
								<STRONG></STRONG>&nbsp;</P>
							<P><STRONG>Print Format:</STRONG>
							</P>
						</TD>
						<TD>
							<TABLE cellSpacing="0" cellPadding="0" border="0">
								<TR>
									<TD vAlign="center">
										<asp:RadioButtonList id="PrintFormatList" runat="server">
											<asp:ListItem Value="Web" Selected="True">Web</asp:ListItem>
											<asp:ListItem Value="Acrobat">Acrobat</asp:ListItem>
											<asp:ListItem Value="Excel">Excel</asp:ListItem>
											<asp:ListItem Value="Word">Word</asp:ListItem>
										</asp:RadioButtonList>
									</TD>
									<TD>
										&nbsp;
										<asp:Button id="PrintButton" runat="server" Height="40px" Width="80px" Text="Display" Font-Bold="True"></asp:Button>
									</TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter>
			</P>
		</form>
	</body>
</HTML>
