<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="VolunteerChooserControl.ascx.cs" Inherits="VTK.Volunteer.VolunteerChooserControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>



<P align=center></P>
<P align=center>
<TABLE id=Table3 cellSpacing=0 cellPadding=3 align=center border=0>
  <TR>
    <TD colSpan=3>
      <H3 align=center>Select a Volunteer</H3>
      <P align=center><asp:label id=ErrorMessage runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True" Font-Size="Larger"></asp:label></P></TD></TR>
  <TR>
    <TD style="WIDTH: 392px">
      <P align=right>First&nbsp;3 or more&nbsp;characters 
      of Volunteer's <STRONG>LAST NAME</STRONG>:</P></TD>
    <TD><asp:textbox id=NameText runat="server" tooltip="Enter the first two or more characters of the volunteer's last name, and then click List by Name." MaxLength="30"></asp:textbox><asp:regularexpressionvalidator id=NameValidator runat="server" ErrorMessage="Last Name must be 2 or more characters." CssClass="Validator" ValidationExpression="\D{2,30}" ControlToValidate="NameText">!</asp:regularexpressionvalidator></TD>
    <TD><INPUT id=RefreshNameButton title="Displays the names of the volunteers whose last name or partial last name matches the one you entered." style="WIDTH: 100px" onclick="Set_NoBlankWithPost('RefreshNameButton');" type=button size=20 value="List by Name" name=RefreshNameButton></TD></TR>
  <TR>
    <TD style="WIDTH: 392px">
      <P align=right>Or, enter the Volunteer's <STRONG 
      >SSN</STRONG>:</P></TD>
    <TD>
      <P><asp:textbox id=SSNText runat="server" tooltip="Enter the volunteer's Social Security Number, and then click List by SSN. Nine digits are required and hyphens are optional." MaxLength="11"></asp:textbox><asp:regularexpressionvalidator id=SSNValidator runat="server" ErrorMessage="SSN must be 9 digits, dashes are optional" CssClass="Validator" ValidationExpression="\d{3}-{0,1}\d{2}-{0,1}\d{4}" ControlToValidate="SSNText">!</asp:regularexpressionvalidator></P></TD>
    <TD><INPUT id=RefreshSSNButton title="Displays the names of the volunteers whose Social Security Number matches the one you entered." style="WIDTH: 100px" onclick="Set_NoBlankWithPost('RefreshSSNButton');" type=button value="List by SSN" name=RefreshSSNButton></TD></TR>
  <TR>
    <TD style="WIDTH: 392px">
      <P align=right>Or, enter the <STRONG 
      >first letter</STRONG> of the Volunteer's last name 
      and the last 4 digits of <STRONG>SSN</STRONG>: 
</P></TD>
    <TD>
      <P><asp:textbox id=CodeText runat="server" MaxLength="5" ToolTip="Enter the first letter of the volunteer's last name and the last 4 digits of volunteers Social Security Number, and then click List by Code."></asp:textbox><asp:regularexpressionvalidator id=CodeValidator2 runat="server" ErrorMessage="Volunteer's Code must be a single alpha character followed by 4 digits." CssClass="Validator" ValidationExpression="\D{1}\d{4}" ControlToValidate="CodeText">!</asp:regularexpressionvalidator></P></TD>
    <TD><INPUT id=RefreshCodeButton title="Displays the names of the volunteers whose code matches the one you entered." style="WIDTH: 100px" onclick="Set_NoBlankWithPost('RefreshCodeButton');" type=button value="List by Code" name=RefreshCodeButton></TD></TR>
  <TR>
    <TD colSpan=3>
      <HR style="WIDTH: 196.99%; HEIGHT: 2px" width="196.99%" color=#003366 
      SIZE=2>
    </TD></TR>
  <TR>
    <TD style="WIDTH: 392px">
      <P align=right>&nbsp;</P>
      <P align=right><asp:listbox id=VolunteerList runat="server" Width="300px" Rows="12" Enabled="False"></asp:listbox></P></TD>
    <TD>
      <P><INPUT id=ChooseButton title="Retrieves and displays the selected volunteers record. " style="WIDTH: 60px; HEIGHT: 35px" onclick="Set_NoBlankWithPost('ChooseButton');" type=button size=35 value=Choose name=ChooseButton runat="server"></P>
      <P><INPUT id=ExitButton title="Exits the current screen and displays the initial VSS screen." style="WIDTH: 60px; HEIGHT: 35px" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type=button value=Exit name=ExitButton></P>
      <P><INPUT id=GetMoreButton title="Displays the next set of volunteer names within the volunteer list. This button is only available if the total number of volunteer names that match the search criteria is greater than 50." style="WIDTH: 60px; HEIGHT: 35px" onclick="Set_NoBlankWithPost('GetMoreButton');" type=button size=35 value="Get More" name=GetMoreButton runat="server"></P></TD>
    <TD>
      <P><asp:listbox id=TermList runat="server" Enabled="False" Visible="False"></asp:listbox></P></TD></TR></TABLE></P>
