<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="VolunteerComboEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.Volunteer.VolunteerComboEdit" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML xmlns:uc1>
	<HEAD>
		<title>Volunteer Combination Codes</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="VolunteerComboEdit" method="post" runat="server">
			<P align="center"><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">
				Combination Codes
			</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Size="Larger"></asp:label><asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green" Font-Size="Larger"></asp:label></P>
			<P align="center">
				<TABLE id="Table1" cellSpacing="1" cellPadding="1" width="531" border="0" DESIGNTIMEDRAGDROP="80" bgColor="#dcdcdc" style="WIDTH: 531px; HEIGHT: 399px">
					<TR>
						<TD bgColor="#6699ff" colSpan="2">
							<P align="center"><STRONG>Volunteer Name: </STRONG><STRONG>
									<asp:label id="VolunteerNameLabel" runat="server">Volunteer</asp:label></STRONG></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px"></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px"><FONT color="red">(*) fields are required!</FONT></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right">Combination Code<STRONG>:</STRONG>
							</P>
						</TD>
						<TD><asp:label id="CodeLabel" runat="server"></asp:label></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right"><FONT color="red">*</FONT> Organization:</P>
						</TD>
						<TD><asp:dropdownlist id="OrganizationList" runat="server"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right"><FONT color="red">*</FONT> Schedule Workday:</P>
						</TD>
						<TD><asp:dropdownlist id="WorkdayList" runat="server"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right"><FONT color="red">*</FONT> Service:</P>
						</TD>
						<TD><asp:dropdownlist id="ServiceList" runat="server"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right">Inactive:</P>
						</TD>
						<TD><asp:checkbox id="InactiveCheckBox" runat="server" Text="Yes" ToolTip="Combination code is inactive"></asp:checkbox></TD>
					</TR>
					<TR>
						<TD bgColor="#ffffff" colSpan="2">
							<P align="center"><asp:button id="PostButton" runat="server" ToolTip="Saves the new or updated record." Text="Post"></asp:button>&nbsp;&nbsp;&nbsp;
								<asp:button id="NewButton" runat="server" ToolTip="Clear fields in order to enter a new Combination Code." Text="Clear"></asp:button>&nbsp; 
								&nbsp; <INPUT id="ExitButton" title="Exits the current screen and returns to the Edit Volunteer screen." accessKey="X" onclick="window.location.href='/vtk/volunteer/VolunteerEdit.aspx' + '?StationId=' + form.StationId.value + '&amp;volId=' + form.volId.value" type="button" value="Exit" name="ExitButton">&nbsp;&nbsp;&nbsp;
								<asp:button id="NextButton" runat="server" ToolTip="Saves record and continues to next screen." Text="Next" Height="25px" Width="60px" Visible="False"></asp:button></P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#ffffff" colSpan="2">
							<P align="center"><STRONG>Combination Codes for this Volunteer:&nbsp;</STRONG></P>
							<P align="center">
								<asp:datagrid id="ComboGrid" runat="server" AutoGenerateColumns="False">
									<Columns>
										<asp:ButtonColumn Text="Edit" ButtonType="PushButton" HeaderText="Edit" CommandName="Select"></asp:ButtonColumn>
										<asp:BoundColumn Visible="False" DataField="ID" HeaderText="Id"></asp:BoundColumn>
										<asp:BoundColumn DataField="CombinationCode" HeaderText="Code"></asp:BoundColumn>
										<asp:BoundColumn DataField="OrganizationName" HeaderText="Organization"></asp:BoundColumn>
										<asp:BoundColumn DataField="BenefitingServiceName" HeaderText="Service"></asp:BoundColumn>
										<asp:BoundColumn DataField="Inactive" HeaderText="Inactive"></asp:BoundColumn>
									</Columns>
								</asp:datagrid></P>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
			<P align="center"></P>
		</form>
	</body>
</HTML>
